commit 2ac40a35fc38d6446eacf4b5faa78c4652f725d2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Dec 31 15:03:25 2017 +0100

    share/Info.plist: Fix CrashDragon endpoint for macOS
    
    (cherry picked from commit e46c00e7d07482b70590241acd631065dd7bd685)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 661df8399cdbe182da1cd4b24e8eda7d01528b92
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 30 17:25:17 2017 +0100

    codec: ttml: fix font size computation
    
    split steps, there's too much confusion
    
    (cherry picked from commit f46e3cdeed92ca032327169925aad2cfac86cf79)

commit 191e3c494b10d7b17a0ddaee2d1794a5a5c9e321
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 29 17:55:47 2017 +0100

    codec: cea708: fix CLW handling
    
    (cherry picked from commit e5c07c5d5961291edc16382cdcf8b439e3888ec8)

commit a2348f7b59ea7d7ae60707f99822fe57ee0b3bbb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 29 17:21:07 2017 +0100

    codec: cea608/708: fix bitrate
    
    (cherry picked from commit 1a1d75cc9668a08e6f14d8726db7e51a9b72ec51)

commit bcbb9b7c6f001f5878368f226c600e639ec18509
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 29 14:55:13 2017 +0100

    codec: cea708: fix rel font size
    
    (cherry picked from commit c6af41d7915d8346baf34e16fec31489efd750ab)

commit 5eac9d91a1f23761ca9044d5c2b4e2d8348a816d
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Sat Dec 30 00:22:00 2017 +0700

    Add context to view point messages for translation (fixes #19374)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 751f09f71c188e3121e1bf6d18371a8668aed19f)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c5b41a60992555e2f054721580c257dfa301b010
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 27 19:45:32 2017 +0100

    macOS build.sh: Add options for release build
    
    Adds parameter option -i to specify the type of package to be build.
    Adds -b parameter to pass breakpad URL.
    Also adds a way to overwrite the macOS kernel version via environment
    variable, which can be useful if someone wants to use an older contribs
    package.
    
    (cherry picked from commit 85975db4a8e3bcdad840277cd82d72c3e85f778e)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4aa3833bd519c79fc46be1451e091536fe3b30b3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 27 19:44:32 2017 +0100

    macOS package.mak: Add release archive target
    
    This adds a rule to build a release archive, containing all tools
    needed for codesigning and building the final dmg.
    
    (cherry picked from commit d3871a0461dbec669a9f837a40a3e79c2f7f0ca5)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 8d988d18a788310fe7275b61f0def3d16aadb90c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 28 15:25:46 2017 +0100

    contribs: gnutls: Fix linking on winrt
    
    (cherry picked from commit 981c03764201f3d41d0de0e5adf5513c8e43398e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6f39a32a635da8a918555f67253a5b788d42a050
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 28 11:14:26 2017 +0100

    contribs: gnutls: Fix winrt build
    
    (cherry picked from commit 9d8eb3b639cbbaf4491e4646267d78f02c5d890f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 668cedaa08355a2cf8c166640b165edb8fbe36fd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 28 00:10:14 2017 +0100

    MODULES_LIST: fix audiotoolboxmidi name
    
    (cherry picked from commit 01bdfb076ffd73002ea83b38bddd1222637408ad)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e604df62995030d0fb435af763a52fd471e9757
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Dec 27 08:06:09 2017 -0500

    avcodec: fourcc: add av1 mapping
    
    Needed to mux AV1 using libavformat's IVF muxer.
    IVF muxing for AV1 was added to ffmpeg in
    commit e8f0a463b0d27a4d74c0d9f1857e72a8033d1069.
    
    (cherry picked from commit eec91d68538decedcc82c4bd4630939dbab59953)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa124682833436f9240959467a6679a665c7b2b3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 27 18:41:46 2017 +0100

    contrib: gnutls: Drop pkgconfig patch for macOS
    
    Checking for that specific symbol is not needed anymore since
    the keychain lookup patch is not needed anymore. Additionally,
    this patched a pkgconfig file which is not needed by vlc and is not
    even installed / compiled.
    
    (cherry picked from commit a1cb2bdf07e125cadab9cf0fd9197fd2d5241715)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit adaab724928913aef3784c982b8f550ac9d04f2d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 27 18:27:12 2017 +0100

    contrib: gnutls: Drop mac keychain lookup patch
    
    Similar code is now part of the release itself, therefore this
    patch is not needed anymore.
    
    (cherry picked from commit 1a0717116afa72a2c1dae47e31c56c2926b584d6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6e9ff4e9e813f7a1555ad77a014485a056da8d8f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 27 15:57:50 2017 +0100

    bin/Makefile.am: Explicitely depend on libbreakpad_wrapper.la
    
    (cherry picked from commit 38c1add4d1604274a55a77efb9063da89a1ff861)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 561198da542e046b07901a2f913451f44e9dadd3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 27 15:26:22 2017 +0100

    bin/Makefile.am: Simplify
    
    (cherry picked from commit 87d76d7689f8a20e05984a8746695c7973625349)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a5688a51a9eee3202468b1c85f4fd3ad82dc9b04
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Wed Dec 27 14:08:39 2017 +0100

    qt: fix crash if no fullscreen controls are available
    
    Close #19349
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e472717ea5ba8b210d968ccebcdb2b9d670c8410)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4fae1856db0eb2804c3eaf881341f0f58f3c7b8f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 27 14:15:51 2017 +0100

    On the road to RC5

commit 775d32ff49314f49bc1edcc318b78ac506ea02cb
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Dec 18 10:10:53 2017 -0500

    contrib: aom: build av1 encoder
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2f9f827f9e98267d337ca88b5d04d276055ef2b3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 62f09d4eafa81a8cd5d1ebeae3afa59e65e2d2ea
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Dec 18 10:10:51 2017 -0500

    fourcc: use standard AV1 fourcc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6b9fdd145e738e9aeab51d9bc70799717b4eebdc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a6c787c06082d1eca65f7eb6468ccce8d7c3d11
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Dec 18 10:10:50 2017 -0500

    aom: allow low bitdepth path for decoder
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2119712aec2ab15102e950a748d87e4075cc9f83)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b2e61dcc9d1d5495bb11cede872874310e5d15d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 27 11:58:27 2017 +0100

    direct3d11: do not force the decoder padding if we're using the staging texture
    
    The decoder will use its own pool with its own sizes anyway
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1d162e90e1c0f6aa7634d3198bce0b0e94c85366)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4fd66271d58b00c8056f96309bda80b67763b3a8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 27 12:00:32 2017 +0100

    win32: build.sh: Fix breakpad activation
    
    (cherry picked from commit 6812104e4053cc48e04ab3406efd6038fc0c162f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fc751501baad5947491f7f782796f7aa514d5154
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 27 11:06:27 2017 +0100

    On the road the RC4

commit 35972257570e56a709938bf1a24619f23d15e14f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 27 11:02:24 2017 +0100

    Update PO files

commit b1ce7507cc9808369a6f2f10285cb25b13e1cb2f
Author: Nathaniel Graham <pointedstick@zoho.com>
Date:   Tue Dec 26 23:28:16 2017 +0100

    Use "org.videolan.VLC" as the AppStream ID
    
    Close #19335
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f0a4dd5cd3f4927e947c4f9ecbe03868966ebd4a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0cd78ca4cf18a0e57941decd8bbc906b2a8d7507
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 27 09:59:40 2017 +0100

    codec: ttml: use resolution after rebase
    
    That what happens when you're fed with broken files
    
    partial revert of 58033bc6660b59abf4783d5dbc32d4b614b412de

commit 538a42ba1c55b178d44483ed268caf5f8827c102
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 27 00:46:35 2017 +0100

    i18n: update Turkish translation

commit b4b6424f844944e2298984735cedd40674f5076b
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Tue Dec 26 23:51:11 2017 +0100

    i18n: Update NL translation

commit d73c04e88a768802ae5065d73f4c490104fce2f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 26 11:05:41 2017 +0100

    test: hxxx: missing config.h
    
    merge of
    (cherry picked from commit bb9623a7e8cd80a3e3bd6886a145785816088682)
    (cherry picked from commit 9aa79523e1acdacaf365e79a09c482666953bdfb)

commit 2cca731572380a514c6cd871923adc965199305c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 24 20:44:04 2017 +0100

    codec: ttml: don't round up font size
    
    (cherry picked from commit 9890a5578da129321d829741ca5b00a7f875a7ac)

commit 58033bc6660b59abf4783d5dbc32d4b614b412de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 22 16:50:47 2017 +0100

    codec: ttml: fix setting percent based sizings
    
    merge of
    (cherry picked from commit 2760b85ffb246bb0617421241edbb6296451865e)
    (cherry picked from commit 1ee818f94cfa168f792d29d98a76feb565ed8c4d)

commit 2430c39e3c7825b5a3e7716a7d0cd8890ee1d97e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 21 18:01:40 2017 +0100

    codec: ttml: override region position
    
    occues in <set> animations and
    broken CaptionMaker smpte-tt
    
    refs #19231
    
    (cherry picked from commit ca3103da66b961ac184ba18829a491eebf0d4ec7)

commit fc8b1f79ee1277710e6e2e15193100cdae81019e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 21 15:19:24 2017 +0100

    codec: ttml: refactor and fix inline extent/origin reading
    
    (cherry picked from commit 2e90c837cefb3646fbb7219ff82ddeec209a3a35)

commit beef6ffc2df2f90725db70cd9a3dd37f13cf44da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 26 18:59:44 2017 +0100

    codec: webvtt: fix reparenting on closing tag
    
    (cherry picked from commit 2e0012ede7e254e59d172d907f909d815ab69a2e)

commit 90ef80cc8e9e793113bebc434ab0ac0d8399de46
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 26 18:05:49 2017 +0100

    Contribs: GnuTLS: do not use connectx for macOS
    
    It is only available since 10.11
    
    (cherry picked from commit 0754c30c49299b1b1c1fa1cf4882f6014d5289b7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1660a712e88e2160ef09039c3a6e57942c9af108
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 26 16:29:43 2017 +0100

    Contribs: gnutls: Fix win32, winrt, android, macOS compilation
    
    (cherry picked from commit 909e0065e2bcbcd4cd9a481c31c42dc0f9a5d8e7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 496d5f426d7fde1bb60c90a0009d222a52fd582d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 26 16:45:47 2017 +0200

    contrib: gnutls: update to current stable 3.5.16 (fixes #19350)
    
    (cherry picked from commit 77c81de4c18db1eb2d57561dddf7836886871cef)

commit b5b5255489f3a2a7a321421a7bfee6c708d24ad0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 26 14:14:00 2017 +0100

    bin: Fix vlc CFLAGS on !WIN32
    
    Reported-by: Alexandre Fernandez <nerf@boboop.fr>
    (cherry picked from commit 9bca12c0b81ce933389a5d3254d7075cce55bc5c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit dcb6adeaba334aee6fc160d5462b161b7f084c77
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Dec 26 13:08:44 2017 +0100

    extras: Add a breakpad symbols dumping script
    
    (cherry picked from commit c80771e9bb3070665bf4abd57ea9d8ac6faef8e4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bfa39e5c6aa8c9752fe9e8d3592ebbf5f5c63fa6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 26 11:25:42 2017 +0100

    contribs: x264: Pin to a specific tarball
    
    (cherry picked from commit deaed0596160ad5f7b8b0f16aca564a59f3c5f1c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0e96c458f307aecdc13b3fac5afc039be8eae1a8
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 26 02:03:31 2017 +0300

    bluray: check setmntent return value.
    
    (cherry picked from commit b73e9de8812273ef295398a7aa3e41a5d73899ae)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit e0b8acf141f910e34a504959a5b8688c7b23c531
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 25 22:36:49 2017 +0100

    contrib: update breakpad to 0.1.2
    
    Breakpad 0.1.2 fixes macOS build failures with the Xcode project for the
    dump_syms tool.
    
    (cherry picked from commit 1384565add98f1c7b4c3c8bcf1ad1cb388aa3af3)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 4536dce898eb6c25df3b41d21d8a7624da8585da
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 25 11:31:44 2017 +0100

    WeatherWax RC3

commit 57e3e13d7d47d47c784b0fc0cd485ad9ac3f9459
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 21 18:10:45 2017 +0100

    win32: build.sh: Add breakpad support
    
    (cherry picked from commit 7610a35ae623b72ea84c167e6be947c1dbe62d48)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5722b52dde9a6ec940bc600a26a1f215d89dc4ee
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 21 11:09:55 2017 +0100

    win32: Use breakpad for crash reporting
    
    (cherry picked from commit 80f61c8342b53963c3f837265fd77f5b9cf694ad)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1b38faa14031fd4c6f1d8ae11b22dd37e9bdd41d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 19 16:42:00 2017 +0100

    configure: Specify a build ID when building with breakpad on windows
    
    (cherry picked from commit ec2f6b5faa80b6156c91ea04c905c6ea6d0e7f43)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ab70d9f30e67ce04181f44dbd52cac568a8bae61
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 19 12:09:28 2017 +0100

    winvlc: Remove old crash handling code
    
    (cherry picked from commit 25f8fd2e200039af394277016138370bb1aa0c7d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7a4d1c130b993e6d7efed60d864ec2587778ce05
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 18 12:46:53 2017 +0100

    Rework breakpad detection to enable it on windows as well
    
    (cherry picked from commit 34d52c7081abeb437aecf992a6d0123f204fa448)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d018988f864f07f9dced0bb1dc63cef572e564a4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 21 18:29:52 2017 +0100

    contrib: Allow breakpad to be built on windows
    
    (cherry picked from commit d1f958ee63010eb82be643eb0b0edad839bc462a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit eaa1f068d961c3b6732479073a8c625fb0c809e2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Dec 23 17:02:25 2017 +0100

    contribs: Bump breakpad version
    
    (cherry picked from commit 54399196241cb0ba58ae34de754d6a6109ba85ab)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit dd8f3a5128082fcf7922301dc9f2f83613248510
Author: Natanael Copa <ncopa@alpinelinux.org>
Date:   Wed Dec 20 12:21:02 2017 +0000

    configure: test for getaddrinfo_a and libanl
    
    Test for the existence of the GNU extension getaddrinf_a and libanl
    instead of assuming that every Linux has it. Fall back to posix variant
    if they are missing.
    
    This fixes build with musl libc which does not implement this GNU
    extension.
    
    Fixes #19320
    
    Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 01fd9fe4c7f6c5558f7345f38abf0152e17853ab)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 52be7faf233639ca2423ef6eac50284eaed48c92
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 22 15:38:42 2017 +0100

    contrib: x264: disable asm on Android x86*
    
    Because of TEXTREL...
    
    (cherry picked from commit 250e44ff9d0f90eb4f7b975818c07cdea19b8ce8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ba4e6fe35035d7d5ad5468fc7b6a31cfb089f0f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 22 15:04:47 2017 +0100

    contrib: vpx: fix x86 android build with encoders
    
    __ANDROID__ doesn't seem to be defined when built from the android yasm
    
    (cherry picked from commit c2ddfa5e419c61dbc491227e5a9df041cdacf7a1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 35db70ce953dee726c97ff318d77f1005bed093d
Author: Natanael Copa <ncopa@alpinelinux.org>
Date:   Wed Dec 20 15:56:24 2017 +0000

    chroma: fix chroma copy tests on big endian
    
    Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 9e0b898f17058fc0621e2dbe88a4bc52f56b642f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72b5e60fc5e343c73ef340e7ecd004fff8083e32
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 21 20:49:31 2017 +0100

    text_renderer: workaround max y size limit
    
    because computed regions size usually do not
     match the real line size.
    (the right fix being to know font metrics
     before our renderers)
    
    refs #19230
    
    (cherry picked from commit 42584bd48ba1b91aba6cfdab51f1b9a85773fbc0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6cc343a2b9a04adb906f58aacc96c7ffe9d8faf4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 21 10:57:01 2017 +0100

    DCP: fix heap-use-after-free on xml_ReaderNextNode error
    
    ==9090==ERROR: AddressSanitizer: heap-use-after-free on address 0x602000173170 at pc 0x7f8a86e19063 bp 0x7f8a7bbf9230 sp 0x7f8a7bbf89e0
    READ of size 2 at 0x602000173170 thread T10
    [000061200002c080] dbus interface debug: Getting All properties
    [000061200002c080] dbus interface debug: Getting All properties
        #0 0x7f8a86e19062  (/usr/lib/x86_64-linux-gnu/libasan.so.3+0x3c062)
        #1 0x7f8a84dda3b6 in std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) (/usr/lib/x86_64-linux-gnu/libstdc++.so.6+0x1203b6)
        #2 0x7f8a4d1bfef1 in XmlFile::ReadNextNode(demux_t*, xml_reader_t*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&) ../../modules/access/dcp/dcpparser.cpp:750
        #3 0x7f8a4d1c0d82 in PKL::Parse() ../../modules/access/dcp/dcpparser.cpp:864
        #4 0x7f8a4d1bbe32 in AssetMap::Parse() ../../modules/access/dcp/dcpparser.cpp:291
        #5 0x7f8a4d1b2f7c in parseXML(demux_t*) ../../modules/access/dcp/dcp.cpp:1011
        #6 0x7f8a4d1b2b12 in dcpInit(demux_t*) ../../modules/access/dcp/dcp.cpp:942
        #7 0x7f8a4d1ad3c2 in Open ../../modules/access/dcp/dcp.cpp:326
        #8 0x7f8a8653b97d in generic_start ../../src/modules/modules.c:356
        #9 0x7f8a8653acd4 in module_load ../../src/modules/modules.c:183
        #10 0x7f8a8653b328 in vlc_module_load ../../src/modules/modules.c:279
        #11 0x7f8a8653bace in module_need ../../src/modules/modules.c:371
        #12 0x7f8a8658c8c5 in demux_NewAdvanced ../../src/input/demux.c:270
        #13 0x7f8a865c84c7 in InputDemuxNew ../../src/input/input.c:2403
        #14 0x7f8a865c8e89 in InputSourceNew ../../src/input/input.c:2555
        #15 0x7f8a865c15bf in Init ../../src/input/input.c:1303
        #16 0x7f8a865bc641 in Run ../../src/input/input.c:498
        #17 0x7f8a857ee493 in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x7493)
        #18 0x7f8a8532cafe in __clone (/lib/x86_64-linux-gnu/libc.so.6+0xe8afe)
    
    0x602000173170 is located 0 bytes inside of 12-byte region [0x602000173170,0x60200017317c)
    freed by thread T10 here:
        #0 0x7f8a86e9ea10 in free (/usr/lib/x86_64-linux-gnu/libasan.so.3+0xc1a10)
        #1 0x7f8a78a29181 in ReaderNextNode ../../modules/misc/xml/libxml.c:217
        #2 0x7f8a4d1ba838 in xml_ReaderNextNode ../../include/vlc_xml.h:87
        #3 0x7f8a4d1bfec2 in XmlFile::ReadNextNode(demux_t*, xml_reader_t*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&) ../../modules/access/dcp/dcpparser.cpp:744
        #4 0x7f8a4d1c0d82 in PKL::Parse() ../../modules/access/dcp/dcpparser.cpp:864
        #5 0x7f8a4d1bbe32 in AssetMap::Parse() ../../modules/access/dcp/dcpparser.cpp:291
        #6 0x7f8a4d1b2f7c in parseXML(demux_t*) ../../modules/access/dcp/dcp.cpp:1011
        #7 0x7f8a4d1b2b12 in dcpInit(demux_t*) ../../modules/access/dcp/dcp.cpp:942
        #8 0x7f8a4d1ad3c2 in Open ../../modules/access/dcp/dcp.cpp:326
        #9 0x7f8a8653b97d in generic_start ../../src/modules/modules.c:356
        #10 0x7f8a8653acd4 in module_load ../../src/modules/modules.c:183
        #11 0x7f8a8653b328 in vlc_module_load ../../src/modules/modules.c:279
        #12 0x7f8a8653bace in module_need ../../src/modules/modules.c:371
        #13 0x7f8a8658c8c5 in demux_NewAdvanced ../../src/input/demux.c:270
        #14 0x7f8a865c84c7 in InputDemuxNew ../../src/input/input.c:2403
        #15 0x7f8a865c8e89 in InputSourceNew ../../src/input/input.c:2555
        #16 0x7f8a865c15bf in Init ../../src/input/input.c:1303
        #17 0x7f8a865bc641 in Run ../../src/input/input.c:498
        #18 0x7f8a857ee493 in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x7493)
    
    (cherry picked from commit 1b1de3b7f76dae70bba70c8491e68e128cdf06d2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9ab3615deb88bdc067713cbfba2009757a93bc27
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Dec 19 20:48:32 2017 +0900

    os2: package: fix build
    
    -----
      CCLD     libvlccore.la
    weakld: error: Unresolved symbol (UNDEF) '___atomic_fetch_add_8'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_decoder_o_85b55a37ad3f1d59f8.obj
        P:\tmp\ldconv_es_out_o_85b55a37ad3f1d7938.obj
    weakld: error: Unresolved symbol (UNDEF) '___atomic_store_8'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_stats_o_85b55a37ad3f1df250.obj
    weakld: error: Unresolved symbol (UNDEF) '___atomic_load_8'.
    weakld: info: The symbol is referenced by:
        P:\tmp\ldconv_stats_o_85b55a37ad3f1df250.obj
    Ignoring unresolved externals reported from weak prelinker.
    Error! E2028: ___atomic_fetch_add_8 is an undefined reference
    Error! E2028: ___atomic_store_8 is an undefined reference
    Error! E2028: ___atomic_load_8 is an undefined reference
    file P:/tmp\ldconv_decoder_o_85b55a37ad3f1d59f8.obj(ldconv_decoder_o_85b55a37ad3f1d59f8.obj): undefined symbol ___atomic_fetch_add_8
    file P:/tmp\ldconv_es_out_o_85b55a37ad3f1d7938.obj(ldconv_es_out_o_85b55a37ad3f1d7938.obj): undefined symbol ___atomic_fetch_add_8
    file P:/tmp\ldconv_stats_o_85b55a37ad3f1df250.obj(ldconv_stats_o_85b55a37ad3f1df250.obj): undefined symbol ___atomic_store_8
    file P:/tmp\ldconv_stats_o_85b55a37ad3f1df250.obj(ldconv_stats_o_85b55a37ad3f1df250.obj): undefined symbol ___atomic_load_8
    -----
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    
    (cherry picked from commit d5c86c91a2700618d97916103e854a46c1bd5e32)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 86d167ce008de0b252edd3ee8706ba9e2b563370
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:49:48 2017 +0100

    dcp: Fix invalid delete
    
    CID #1463250
    
    (cherry picked from commit ab07285ecdb62a6c3f4d12e4ea9160eb9717c3a9)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b9bf3bcb650de4d0a6ff97041e9d41b58511f15b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:46:49 2017 +0100

    dcp: Fix potentially invalid release
    
    CID #1463254
    
    (cherry picked from commit 3d4c060b1e3203a3cf2160fe9d2c74701bc8f0c1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8ac41cb18078bb57bf846a9982600b268c2dc71c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:40:51 2017 +0100

    dcp: Fix assignment instead of comparison
    
    CID #1463255 #1463251
    
    (cherry picked from commit a15a0a64200cc6ab8cbc61caabac126707f3f247)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0ecfd9917636f46cdab10b8c0ebbfd8bcea98948
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:39:09 2017 +0100

    dcpparser: Remove unused (and uninitialized) member
    
    CID #1463259
    
    (cherry picked from commit a30e9110b6e61664b0dbf87dfd1e32f8a140cb6d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a208a90ae4976ae74806706b25bf539d1b4ae0f6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:35:29 2017 +0100

    dcp: Remove unrequired checks
    
    CID #1463257 #1463249
    
    (cherry picked from commit f9e30b38f077a7cfbcfb87bf4f78934d4cdbdbd3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1d9fbd069e31f94cde683692f158af2f69ba2d92
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:26:25 2017 +0100

    dcp: Fix leak on error
    
    CID #1463258
    
    (cherry picked from commit 34b86486956fd0c14104a071e9a5d5e432e7def2)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fe637855183f498cd6ad9739bd8c6a9fc64a167c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 22 10:25:04 2017 +0100

    dcp: Add missing initialization
    
    CID #1463259
    
    (cherry picked from commit d4652c072a125c68a62a8e22bbeafa0d014fbf11)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3e61bafef2acb9ce998deb336b58924951fc6650
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 21 13:00:11 2017 +0100

    transcode: fix encoder chroma initialization
    
    (cherry picked from commit 41ef73b463825c15212778c3069dd2ab26c90578)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0acb9ddb47842fed7d0ef3a6177179dcffb4ca34
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 21 14:10:46 2017 +0100

    Qt, sprefs: remove one extra string (reuse)
    
    Ref #19305
    
    (cherry picked from commit 04bdfd19cbf5b54ca236073c0f0ff32d3ad1826f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 40e152db5e09f433bb17b848d4bca09d522d1aca
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:13 2017 +0100

    Qt: spref, add option to select the fullscreen screen
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 326c9c13d024670ce80fc233013738ce511813eb)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 81118894e18289b788b182babd29d8d550f1a8e6
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:12 2017 +0100

    Qt: spref, add fast seek option
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 679ec991edab1974e08463c155e9e1b524f8a970)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 58560d797578c0af933d8eee93052641f3de2766
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:11 2017 +0100

    Qt: spref, remove DirectX DisplayDevice preference
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c50125010149ff49e5d4edce47b789b6065a4ff4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c5a26d280979b2581ad25f0cf1c593579ef9ba49
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:10 2017 +0100

    Qt: spref, move DirectX specific options to the DirectX GroupBox
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 430994e0cfe1aa1e2df0a7e5b3bfb90699e98447)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 40f6e8d14a1ef2a3ea04b40da565e8d374c6d416
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:09 2017 +0100

    Qt: spref, align Privacy / Network options
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1463adae91c3177c7b5728719890da58f99594ed)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bd0d376970f36d84f260d3b543068dc1b633d7d7
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:08 2017 +0100

    Qt: spref, move "Continue playback?" to playlist
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 82752b50a44a1f8ed8cded0335afeaedb60b99b7)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 63afe7c155673ff0cbd78d1aa017c1c5253f0b9e
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:07 2017 +0100

    Qt: spref, fix Interface > Network > Filter alignment
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bf0e594ed0da4592a67bc083e1f5a2a3f48b7106)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2033d3f76ca975940653fb4616b5d82127db605b
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 20 17:58:05 2017 +0100

    Qt: spref, remove Dolby Surround and headphone preference
    
    Ref #19305
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit df0634dca2039ab8f4f8ae1a88660a8fec93c080)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5f7415b875192c3f20bc2d67d5bafb09a86a8919
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 21 13:52:33 2017 +0100

    contrib: Disable asdcp on winstore
    
    (cherry picked from commit 87622d2f18a70642ea20fa3a69f637b1d1444d07)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 31960f45f3b0e2ba09d82a48ac225555ddd52f87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 19:33:03 2017 +0100

    ImageWrite: create filters when RGB masks differ
    
    refs #13349
    
    (cherry picked from commit b7b69fcf8caad193a37661b0a1f9c658e2fce6b0)

commit a9b274ce1cce1157504c3db4a1627a1db32f004f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 19:18:25 2017 +0100

    codec: png: encoder wants RGB
    
    refs #13349
    
    (cherry picked from commit 68a0e6fff4f61a1da92c931eea0d5efeeebae5b9)

commit f8cb7f8f71d39ecf75218a629fc9a46c4636ae2c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 21 10:53:37 2017 +0100

    demux: ts: don't wait for network time (fix #19234)
    
    (cherry picked from commit 9f64295f2061d46aca7f04a0591d301674446e75)

commit 6a6051187595df4da6da505218f315c36b996671
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 21 10:42:14 2017 +0100

    video_output: skip epg time if not avail
    
    (cherry picked from commit 16592d5615ed925fad4dce7709392f6980553cdc)

commit a9bb2dae6e54f5d6d96b5a1c9d535aa5d74054af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 21 10:03:16 2017 +0100

    extras/tools: add all files in the dist package
    
    (cherry picked from commit 19fce3b274f475c068fc6f43dbbdcd467364610e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d44d00d4e139cf1e711252fc81ab8a5a1dab2a23
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 19:52:47 2017 +0100

    demux: mp4: map DTS-HD profile
    
    (cherry picked from commit 5ca1ca1cb6c1e98a206df3463383d1e1ebcb41a3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b03ed78ad3d4e39d0446e72984e944a3c38d1fbe
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:10:01 2017 +0100

    aout: audiotrack: setup DTS_HD output only when needed
    
    (cherry picked from commit 926e12200ee56baafd6e7c49732cc4f8dd988ed0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d7b2ea4ffb9d4d261bffbc9749d67daed3fbec78
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:09:48 2017 +0100

    aout: mmdevice: setup DTS_HD output only when needed
    
    (cherry picked from commit ae9c49598c65155f960cd6dae1eb738895e48412)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 99f88a0b8cf3e14c51dd8516708e901a96cf44d0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:09:08 2017 +0100

    aout: add HACK to differentiate DTS from DTS-HD
    
    This HACK need to be replaced in 4.0 by adding a profile to audio_format_t or
    by passing it to aout modules.
    
    (cherry picked from commit 542c20c7c35fedfecbb698d0b3222b2c489ff1a4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 245f29a560c38590a3d4c9d7e2558754b2036ba0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:02:26 2017 +0100

    decoder: check i_profile similarity for audio
    
    Maybe es_format_IsSimilar should be used.
    
    (cherry picked from commit e0f8be415bbfe216aaec0b756ac2a5ddc7e4286b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 202e96710b39a140ea48d536e556a4110475b0ca
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 11:20:55 2017 +0100

    es_format: check i_profile similarity for audio
    
    (cherry picked from commit 93fca804f8e88047842b9b81ac5a539cd5a103b7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 035f99743c211088301a140d4a3bff46ae6ce826
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:07:51 2017 +0100

    codec: spdif: pass i_profile
    
    (cherry picked from commit 52b49c2603f494a9486394d825edbd09ce46606c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e07420cfb5643864d1cfbb5f27dcfb29245e54ad
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:08:32 2017 +0100

    demux: psi: fill DTS profile
    
    (cherry picked from commit f35b3d97915e155807f6b11b96b45eb1efbfb58f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c99021a0c7c1ab8450aa9549edddd632fc8fa629
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:08:11 2017 +0100

    demux: mp4: fill DTS profile
    
    (cherry picked from commit 7612232592a864ac20e4a8fedd8e94efc72a13ed)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e1db978ab929a43bf4bda61f217b911efd81b790
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 20 14:03:37 2017 +0100

    packetizer: dts: set DTS_HD profile
    
    Only basic set of profile: DTS or DTS_HD, we don't really care about
    differentiating HD form HD-MA or others for now.
    
    (cherry picked from commit 02298c84c4eef4cff972b3589fbcefeef7ceb4db)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 25fcd90785578711c94b6c6a1aa32fdf871c3e31
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 19 10:32:02 2017 +0100

    direct3d11: remove EraseYUVBorders()
    
    We don't need it anymore now that we don't do interpolation with these extra pixels
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1a34bf052d83d8bee9d69349894f9806a9de884a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cef832d60777b50530d5892b17400fc810ef598f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 19 10:32:01 2017 +0100

    direct3d11: switch the pixel shader to point interpolation when reaching visible sides
    
    The texture is bigger than the visible sides, so if we use linear interpolation
    on the last pixel it will use values with unknown values on the part where it
    would do clamping otherwise. So we force it to use point interpolation (not
    using pixels around) for the last line/column to display.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bf2eb2ef893c23dabbd7c7e835d417d83ae4b054)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8ba5932f527b09804de94e0f809fc4fff696745b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 19 10:32:00 2017 +0100

    direct3d11: use a simplified shader function to sample pixels from the texture
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ca2193a6ab25bd029ceb33fa58ae363d5667cdb8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 96a1755af14cd33b5e0b1b689d9e70fbe3216f69
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 19 10:31:59 2017 +0100

    direct3d11: provide 2 sampler states
    
    One with linear interpolation, one with point (none) interpolation.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f26d5d8734554cae4f3cddc4e8c30c4ac0d0ab8d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0e599dd298b0cc61b4045fb468d9e38b766a6ff
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 19 14:51:26 2017 +0100

    contrib:ffmpeg: fix crash in DVXA in interlaced VC-1
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 83950bc4c002376945a32d27d5fd162fa8d251a6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4d3f56bf4baf987f783a9d0569e1458b2002a06e
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Dec 18 14:21:52 2017 +0100

    spatialaudio: replace the FHK HRTF by the 3D Sound Labs HRTF
    
    This HRTF is licensed under the GNU Lesser General Public License v2.1
    or later.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 387c991aacf3728ceed03c7548ae9e8a950ab199)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 54ee352ecce2791d3142fa11c611cbfdb789269c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 16:47:18 2017 +0100

    Contribs: asdcplib depends on nettle
    
    (cherry picked from commit 95bdc5e05c28875ac8175810bda270e5e839b3dc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8f01aff631dad5adfea2bc4fa8537615ef2d7f96
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 16:23:29 2017 +0100

    Contribs: activate asdcplib on desktops
    
    (cherry picked from commit 795e6f25cd278249b41ae923c65fd0ce25aa915d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 14472778454bbfc02d5fb40f90f01c3b620bb9ce
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Dec 20 15:49:16 2017 +0200

    glwin32: Don't return an error code from a void function
    
    This fixes a compiler error with clang, present since ed9fe3b7:
    
    glwin32.c:249:9: error: void function 'Manage' should not return a value [-Wreturn-type]
            return VLC_EGENERIC;
            ^      ~~~~~~~~~~~~
    
    (cherry picked from commit 69bf49a1037522d1cd640fdcb5b32107db6e78aa)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93207d76ec4ec3c159db5a32795cf7e2cd6abb05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 11:15:21 2017 +0100

    Contribs: detect sidplay2 with pkg-config
    
    (cherry picked from commit b4ee1e8328087e3c7ff4f9ce6fffd3c69a3713f1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c75abc55acfab3bc73c997af482801f9623c4f3d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 11:12:54 2017 +0100

    Contribs: detect live555 with pkg-config
    
    (cherry picked from commit eeb48d49aee4ebbc8067754caa7f2b1165b058fd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0534d294b524f4ad54a687b3ea5ccb8d51df67b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 11:07:14 2017 +0100

    Contribs: fix mpg123 pkg-config name detection
    
    (cherry picked from commit 3c14de35edc7938a2a6eec549279281e2b17dddd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 88506acfcf986b358361c0c78b4bf5276ffe1edb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 11:06:29 2017 +0100

    Contribs: detect ebml/matroska using pkg-config
    
    (cherry picked from commit 12e70924054112db99536a354b00a88da522ec85)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 47f80137067553f4fd061a663694e730583df57b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 18 00:37:45 2017 +0100

    MusicBrainz: don't lookup front art when not available
    
    Should close #18387
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e02ecc4dc4454747fb44cd99d09382909e182124)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4a419f99996376082f1733e2fd93dc5a44d9cc28
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 18 21:47:09 2017 +0100

    codec: webvtt: add support for standard classes
    
    (cherry picked from commit 9454888a9c4db70bf6eb49b0160d9497b6222c67)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 86cea051bd86e47cdfbe07bd378d29cf409de6ae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 14:54:25 2017 +0100

    codec: ttml: fix absolute position inside root region
    
    and default to bottom (not really matching spec)
    
    (cherry picked from commit 99da9428939be8bf1128991f0e74198632fc0c5e)

commit 7581e1afcd87119eec934ea6c27af0f9c93b2ac4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 15:18:12 2017 +0100

    codec: ttml: fallback on non namespaced id
    
    (cherry picked from commit 34e4a418daaee7f2766559e2a73ccea0322f02f7)

commit 81c6a5f6c3c9248b0f4f960ea058b92641ac3da2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 12:34:08 2017 +0100

    codec: substx3g: fix alignment
    
    (cherry picked from commit f3b52fead11def19e74fa38e30c339c1314ea669)

commit 2b7481316cc45f638c872dd7273e7f5fed66a1e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 10:52:07 2017 +0100

    demux: avi: reject invalid dwRate/dwScale
    
    (cherry picked from commit fbcc7eb12beaad20e736cbdd2311d6bdc10c34fd)

commit 1c7d261b35e94ac105762f391fbf581b7964a04a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 20 11:19:57 2017 +0100

    demux: avi: do 2 step rescaling
    
    (cherry picked from commit 8c59fc7af4ad5c52168cb12b8bd296c4494df345)

commit 7f9d27ea67fc8895adbadc4d305e3840870afd4b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 12:07:27 2017 +0100

    demux: avi: GetDPTS remove useless casts
    
    (cherry picked from commit d183012eda59e60604f7562056a22af7f4219715)

commit 6f42178ca5507c55f4260b8e6d9832f0babd097d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 12:06:28 2017 +0100

    demux: avi: PTSToChunk remove useless casts and change type
    
    (cherry picked from commit a17daaa15985b80ce6cffb060d528d578ba9087e)

commit 41ca065f5ab4658f5fc98964c8c91a5ecd33cb62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 12:04:17 2017 +0100

    demux: avi: PTSToByte remove useless casts and change type
    
    (cherry picked from commit e679264e70e5ab225d26be90505911360b07d739)

commit 076cd43793642422ac19884cf4f58a10f5414750
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 19 12:29:25 2017 +0100

    demux: ts: no discontinuity flag on AF discontinuity
    
    Things are more complex to implement
    refs:
    streams/ts/AF_time_discontinuity_early_on_pcr.ts
    
    (cherry picked from commit 4d903a5c7866cce20aee73959103cbe877baba69)

commit 06fdf239e17d829fada92b8a6c55d08af3da74af
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Dec 18 13:47:57 2017 +0100

    demux:mkv: don't force a block length for Opus
    
    Fixes #18545
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a40a2e8bcab3a1b76e9e3c4c694264e480bd151b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34986c22070c9716073abe7d9954877620e22264
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Sat Dec 16 23:12:41 2017 +0800

    demux: adaptive: fix segment compare
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit ed414dc3b31cfa3c843cacbc496ee5fef9f94713)

commit 764bf9e5201258ddbb9bada9c639e39e5fb767cc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 18 21:52:17 2017 +0100

    demux: webvtt: fix invalid deref
    
    (cherry picked from commit 1d1d843669d9873c8b165901ecf15cc5500de980)

commit 22e1372a655c44c6fb7ccf9dc3bc670457f8b7ba
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 17 16:27:21 2017 +0100

    codec: webvtt: don't filter out future timestamp objects
    
    (cherry picked from commit 7c2e937b757e78276d295d2ef25c35f2d89d5391)

commit fde5147fc0d8c7858bbb94fbbed991c551af13a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 17 23:05:53 2017 +0100

    demux: ogg: fix non xiph frame interpolation
    
    (cherry picked from commit ccd12d977191d57fd965500eaea95411f3a45943)

commit 753c9eccbe69eb87781217d5a8c74ccc4ec3c798
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 18 18:20:42 2017 +0200

    wl_screenshooter: remove experimental plugin
    
    There are currently no known window manager with protocol support.

commit a484e57ea90a07116628621aa070df0cc686ac2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 18 18:19:08 2017 +0200

    Qt: favor X11 over Wayland

commit 44b083a0bfe82f01c52c5aba7a9c088eac14be3c
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Dec 12 14:13:18 2017 +0100

    video_output: reinit the vout if the crop changes
    
    If you play a file that has the same decoder size but different display size
    consecutively, the decoder picture pool needs to be updated so that the
    i_visible_lines of each picture plane matches the new picture format.
    
    The easiest way is to reinit the vout. Another way would be to update the
    pictures in each picture pool dynamically. It cannot just be handled on the
    vout side as some decoders and filters rely on i_visible/offset to copy
    only the required data (for example lavc_CopyPicture).
    
    Fixes #19268
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 17efaa77b82e61f224b0723b6309c01b6dc687c1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a7018fc36800b0a3560a4c072c8ec2c3b15776c2
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Mon Dec 18 10:22:10 2017 +0100

    qt: fix setScreen might crash on wayland when entering fullscreen
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 24b436c88a986fcf2cddb3c52e5a067565fc537e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d19cf4d55213fb5a7622ed1c21add486a192cdd9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Dec 18 09:57:02 2017 +0100

    direct3d11: copy the whole source to the staging texture
    
    Otherwise some areas with no copy may contain some green.
    
    Fixes #19298 for older GPUs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9243000e2e19843c12245b80eac0ec0b46df31c3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eeb59f7485d9170a4b07d7eb78c0215dd144d8ae
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Dec 18 09:57:01 2017 +0100

    d3d11_deinterlace: copy the whole texture
    
    Not just the visible area or the output may contain green rather than the black
    coming out of the decoder.
    
    Fixes #19298
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ae588e5908c8f95af0fb17aa4dee16b199bd447c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dbded10b41460b09fad134e8d37e7a07425110c9
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 12 14:06:10 2017 +0100

    qt: fix crash when undocking playlist on Wayland + optimization elsewhere
    
    Since the video widget is always kept in the main interface, just making
    sure it is relocated __before__ moving the playlistwidget to the playlist
    dialog saves the two calls to the display server needed to reparent the
    native window back and forth at the qt level.
    
    For Wayland, this fixes a crash, since qt is unable to reparent due to
    Wayland limitations, anyway.
    
    For other platforms, this is an optimization, since we avoid two useless
    often inter-process communications (reparenting back and forth)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a420de32234b1517069c717d9cc7885854f7d289)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 945c3653df418825201439de845ca37b15bd6685
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 15 13:09:20 2017 +0100

    direct3d11: compute the quad position as soon as we know its dimensions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7cbdd3b36fba148d2cfb6a9beb0341de43ea1804)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa85b0527978e74a2d35c4982ac959e081ddcf7d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Dec 14 14:40:56 2017 +0100

    direct3d11: bring back the 128 pixels padding required by the DXVA HEVC decoder
    
    Since the vout doesn't know in advance what alignment the decoder will need we use
    the maximum.
    
    This is needed in light of the previous bug fixed where the decoder accepts
    texture with the wrong alignment but uses them as if the alignment was correct.
    So we always need to make sure the alignment is correct.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e669140daaec8b4bc262013afd111864fbbf9a18)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fbf1f129ce7ec1387c9ead843c01c243337be460
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Dec 14 13:39:55 2017 +0100

    qt: check if QDesktopWidget::screenNumber() returns a valid screen
    
    screenNumber might fail on wayland.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 117658e75806a47ed7e333818c259a6c0f71bb9f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a0325a6bc449c1d8ca7ce656cab3ffb6bfe52e0d
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Dec 14 13:39:54 2017 +0100

    qt: set FSControler screen when entering in fullscreen mode
    
    qt-fullscreen-screennumber was read at startup for FSControler
      but dynamically for the main interface
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 562a10a1570887291fde39a973c6a25cd96a453f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8a2a349d73076ce5593f4987cb75f0059c293b0
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 15 15:28:05 2017 +0100

    d3d11_fmt: allow creating small textures
    
    For anything smaller than 64 pixels it may give an error due to the width padding.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 5c81725ea4d513d6f47fcf7dd6e5bea54433489e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 844119079d1e2266f8a041d7b0caf1ac1f248f89
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 10 19:00:15 2017 +0100

    qt(wayland): fix video widget failing to display video.
    
    Setting Qt:WA_DontCreateNativeAncestors in addition to Qt::WA_NativeWindow
    tells qt to create a native window for the widget and only for the widget.
    
    For Wayland, this resulted in one single wayland subsurface instead of a
    tree of nested subsurfaces. Wayland is a bit convoluted when it comes to
    mapping/unmapping nested subsurfaces, which accounted for the video failing
    to be displayed.
    
    For X11, on the contrary, setting Qt:WA_DontCreateNativeAncestors proved
    wrong with some misplacement in the video. So, this parameter is set
    *** ONLY *** in a Wayland context.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit eb375bf9583eed0a1a588ee9d436a2219e2809f8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 52d4f9bcb4a4e302e603dd318f20ddca427c05a2
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 16:33:39 2017 +0100

    d3d11va: do the Xbox size check after the texture dimensions are definitive
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 067e582bd813e7d2038610df561c83afa0e6b9a0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2f2f4938bec6124125562d95d7eff969a69d378
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 16:33:38 2017 +0100

    d3d11va: when forcing the internal pool size, use the internal dimensions
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 966b7ab3788e5b39c9333e65a95476969b80e81d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 069d0590465976c81b1fda5ca359c79347061b0e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 16:33:37 2017 +0100

    d3d11va: use the internal surface size after the alignment has been applied
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b697e5618bf341b27a065f9bdefeab78db7ae7dd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5aa3dc38e42e184359c4a4b9eaf3f06b0ed47e93
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 16:33:36 2017 +0100

    hw:d3d: use the texture height as the plane height, not the visible height
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9d9dd6924ccde2bc9df183b5bad070c1e21b4947)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65ed023b90333c3726d317190ed8f7dd0bc8da40
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 10:49:42 2017 +0100

    direct3d11: fix the bits per channel
    
    We don't want the bits per plane for packed formats.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 59d1a442c73d23bd07176b8f963f25b84aad556b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 055c5506dc78ad239441fb5e3016b2cd40403cf8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 10:49:41 2017 +0100

    d3d11_fmt: add the possibility to select an RGB format
    
    By default YUV formats are favored.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d388de7f3b82945bdedcded3298692c89b3a39ea)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0cc56ea9e8c2f66d241d80745cf24baaaf1fe716
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 13 10:49:40 2017 +0100

    direct3d11: code cleaning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 415cfca29471470e83d1329a6a7b694f102cd297)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cba4b5b716f019f80089ca35b9468a5d5d54eb59
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 17:36:50 2017 +0100

    chromecast: fix leak when the stream is not supported
    
    (cherry picked from commit c682ebc079dd0e6c8c2347b8e7212497d39f9b66)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4c5e466a7a79b6e71aef4370419678f390398dd3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 17:04:44 2017 +0100

    chromecast: fix block leak in case of error
    
    (cherry picked from commit a8a2a66eaec47e1a21d013481a86754b82832b1f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9b5d7acddb843fdd4be6226c84612866a446b71d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 16:40:16 2017 +0100

    decoder: lock when writing p_owner->fmt from Sout
    
    This fixes an UB (that can lead to a heap-use-after-free) when
    input_DecoderHasFormatChanged() is called while modifying the fmt from
    DecoderProcessSout().
    
    (cherry picked from commit 000910a091023b29e68065b36769842db36d93c5)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c17fa7816fab5adcda2ab731b09d320b1f66688b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 17:28:40 2017 +0100

    qt: hide mmdevice passthrough option on other OSes
    
    (cherry picked from commit f998427259e560ba7d3a7e278ef3b69fdaab139f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9768166a7cb890978ce72581211a677a83032a86
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 11:09:06 2017 +0100

    qt: show mmdevice passthrough option
    
    (cherry picked from commit dfb34fb62879a1bd3243266f2ceb9f06509ca407)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 45dbfe4e78015d9e84c68fc793ccc0fcf6eef23b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 14 16:42:04 2017 +0100

    mmdevice: add a way to disable passthrough
    
    cf. http://nucblog.net/2017/03/intel-releases-the-final-hdmi-firmware-for-apollo-and-kaby-lake/
    
    There will be always bugs in  OSes, drivers, HDMI firmwares, or HDMI receivers.
    The users will always need a way to disable passthrough if it doesn't work.
    Contrary to other OSes like Linux or macOS, I didn't find any way to disable
    passthrough for a codec.
    
    Refs #18112
    Fixes #19279
    
    (cherry picked from commit d913ae19b425c3d001f1fefd241802f9f5e47aee)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b7a96c3d1b7db221a7f52c0e7a29c3da02fec8db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 15 17:31:44 2017 +0100

    packetizer: hevc: fix max_num_reorder
    
    (cherry picked from commit fdd089dda6613c624bd86bdcf6ec92b6ddd8af2f)

commit ce84a3b384b50b790fb9592b044f47117a89e204
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 15 16:57:54 2017 +0100

    chromecast: Fix commands potentially not being sent
    
    (cherry picked from commit bd41cc301055802e3d6c041b6cf239ad3a448e69)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 448c895a9c3758d332e07560456742cd01e6c683
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Thu Dec 14 18:06:38 2017 +0800

    playlist: m3u: unbreak HLS
    
    Fix #19269
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 40e3642d3e56a2e98741d7c2a81343859aa2af13)

commit f1ba71c2825397ad68bf1eebcef80087e9715b74
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 15 14:44:22 2017 +0100

    demux: ogg: no pts for non xiph video codecs (fix #19271)
    
    (cherry picked from commit 684c0f8ec1fc223d3f04aeed246b9e8d8782e644)

commit d63e71092d8d6890b5f2f1656657486f2cf2862a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 15 10:36:41 2017 +0100

    demux: avi: fix leak
    
    (cherry picked from commit 8e1f3061937c06e11c6130a1dce8be425c945fd7)

commit 1e877a89255548bfea25c78007e916ce8de0364e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 19:05:20 2017 +0100

    demux: ogg: move tarkin hack
    
    (cherry picked from commit 62f87239559b1641f3deb0da3682ac0cc1d59aca)

commit f7df27f5174c4e58551436a5e0bd3c1800234d73
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 18:53:35 2017 +0100

    demux: ogg: fix dirac handling
    
    (cherry picked from commit 824556bd31ca5f501e7362908eed2815b5526800)

commit f62610c0f172e4c12c32dbf136554d8ef92f13f8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 15 16:41:05 2017 +0100

    demux: adaptive: restart on packed audio switch
    
    (cherry picked from commit 062ce759ce939ab70ed7575ee77946dfd4eea705)

commit c8e6769ab981a6c295751fa8774fbb384c075f45
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 15 14:22:28 2017 +0100

    copy: fix invalid i_codec if not AUDIO_ES
    
    Regression from 385765703e43f9c91ff8789ce303cc0822b7c165
    
    Fixes #19280
    
    (cherry picked from commit 5d53aa182293fced035b360d73864c89ed90b96e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 115c4a55a728ac504f8285f70d19c56ed9d873bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 13:49:39 2017 +0100

    packetizer: hevc: don't double store poc prev msb/lsb
    
    (cherry picked from commit d6c05044b85cd398ab89b61f5e89d866a574ad2e)

commit ad7db4bc887c743613ea687a45d6ca2a6a2e2c7e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 13:48:17 2017 +0100

    packetizer: hevc: fix storage and check of temporal id
    
    (cherry picked from commit db383e8bcc94f4497e43554813797edc1192eeaf)

commit 8908dd2a1fb75b1c238aa5d2b27a4f95032bb37a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 12:50:59 2017 +0100

    packetizer: hevc: add poc HandleCraAsBlaFlag param
    
    (cherry picked from commit 5999e68dcdc1d44c404ea424e4b3f35d8df323aa)

commit d58bee43b2cce952cacbaea02a344225a7c8902d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 12:48:41 2017 +0100

    packetizer: hevc: fix poc lsb diff
    
    (cherry picked from commit 3a4ad1465ada81e26c88425cc4d828941afc14ad)

commit 08db1966be32f278e50df69d490fda4680d79164
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 11:39:30 2017 +0100

    packetizer: hevc: clear first pic flag in poc
    
    (cherry picked from commit 71318cd9f06699b32284851508ef41e3bfb69285)

commit a1681fa8311c18b462da0ac8276d9385f448bce8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 14 10:37:50 2017 +0100

    packetizer: hevc: fix poc msb on IRAP
    
    (cherry picked from commit c2c45fcd482612d27af8e84738990c31aa4e5e39)

commit ae8c1733db24ca5de52b4ea3ecef6e794157d3d5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 13 09:50:35 2017 +0100

    Contribs: update libass to 0.14.0
    
    (cherry picked from commit 5e982951ab56d40c197c11a17fe402ed9f1efbd6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 33a367b62427f8cf95afb5811b0db54ffdb6a2a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 13 09:44:56 2017 +0100

    libass: fix compilation with older versions of libass
    
    (cherry picked from commit 168f6f4fde2edeb21ecfc9e4faa0345b42d2b028)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d77b8648273617de2c516a229c5e3eeca91d96a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 13 23:36:08 2017 +0100

    macosx: cleanup filters config during upgrade from 2.2.x to 3.0
    
    VLC 2.2.x fully controlled VLCs audio or videofilter-related config
    variables with the filter dialogs and the video or audio effects
    panel overwrote any changes from config with the values from the
    panel.
    
    In VLC 3.0, the config is left alone and filter parameters
    are only read from the preset strings. Additionally, by default
    the Default profile (with default off settings) will be loaded at
    startup, to ensure that no filters accidentially stay enabled.
    
    Therefore, for migration, from 2.2.x to 3.0 versions, lets clear
    the audio-filter and video-filter variables. Users with custom
    profiles still keep their settings.
    
    close #19260
    
    (cherry picked from commit 31140f02864e879211c3d3c8aac35ce1136046bb)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 055f0acce05b0525222f02d7954a768250af7fb8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 13 03:45:14 2017 +0100

    macosx: Do not show nonexistent sout stats
    
    (cherry picked from commit f0534b7a30ffc872e3175ef10a4e7c53ce91c6ab)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit d93f6bfaaef8b8b8e9fe5bf5bdb42385ebd56cf7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 13 22:44:11 2017 +0100

    macosx: audio effects: Do not duplicate EQ settings when saving profile
    
    For now, disable the code which duplicated EQ settings. This code
    currently always duplicates settings if something was touched, as the
    comparison with index 0 (flat profile) will very likey fail.
    
    This needs more improvements beyond the current code, before we can
    activate auto-saving of EQ changes, mainly:
    - Figure out a way how to deal with (likely unchangable) default profiles
    - Correctly mark own created profiles
    - Correctly save own created profiles once overall preset is changed, but
      not override standard profiles
    - Save own EQ profiles at exit automatically if desired.
    - If above problems are solved, AND the user selected a default EQ profile
      and changed it inbetween, the commented code can be reconsidered.
    
    This commit basically changes behaviour back to vlc 2.2.x, where a new
    EQ Profile needs to be explicitly saved if desired (using the dropdown
    menu).
    
    refs #19260
    
    (cherry picked from commit d0fe23e61ac1f6a7ecf2886e396fc1dcf1408a9d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 8a87b3a33cb75e589e3c57ee51650c627d6839b6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 13 21:46:31 2017 +0100

    macosx: audio filters: load audio-filters variable from preset correctly
    
    Load audio filters correctly. Previously, only new filters were
    added, but removed filters not disabled.
    playlist_EnableAudioFilter ensures correct filter order in addition
    to modifying the audio-filters variable. As the profile string is
    created and changed with playlist_EnableAudioFilter, the saved
    string conforms to the rules, so here it can be directly loaded.
    
    Also removes redundant UI updates, which are done in a different
    method already.
    
    refs #19260
    
    (cherry picked from commit 9708d49b00e20126b84895a0bffdb57ab5d26e11)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 74937772bda4637bb3aa739daafd01485213860e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 13 21:32:52 2017 +0100

    macosx: audio effects: Do same profile handling for audio effects
    
    This ports over video effects profile handling to audio effects.
    Behaviour is the same for the main audio profile.
    This also fixes an occasion where equalizer was not updated correctly.
    
    refs #19260
    
    (cherry picked from commit b77321140b053d3883c165e538d8bd41d47cffa2)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit a9929ad3fdc6d982417455b4668d3d51837a1fea
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 13 21:14:23 2017 +0100

    macosx: video effects: Remove Default entry in deletion dialog
    
    The default entry cannot be deleted anymore, so lets not show it
    in the deletion dialog at all.
    Also remove usage of self inside the block to avoid strong
    reference cycles.
    
    refs #19260
    
    (cherry picked from commit f9244804d4fe8a925160786a3d3fd16ab0af5054)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3e35df936c1bb8f181c2d249d4826ee136911cf9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 10 22:50:46 2017 +0100

    macosx: video effects: improve compatibility with old settings
    
    This implements the following migration behaviour with older
    VLC version:
    - Index 0 in settings used to be the Default profile, and is now
      ignored (not read from and not written to anymore)
    - The default settings still include the default profile in index
      0, to maintain backwards compatibility if older VLC are started.
    - In profile selector, index 0 is still the Default profile,
      if the "apply at next startup" is selected, a new Custom profile
      is created at exit.
    - By default after updating, no profile will be deployed at launch,
      so the "Default profile is selected.
    
    refs #19260
    
    (cherry picked from commit 42115489853231f77f1221791294616c716e80fb)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7a2ebf25c90fab4e86d8df52a0a87af0ed204285
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 10 19:30:32 2017 +0100

    macosx: video effects: Protect for potentially uninitialized variable
    
    (cherry picked from commit 14d1b6be4dce81ede52d56fd021f438ab3c24aba)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit fcb980a213316ce17f07e4c6b31185359fcf3033
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 10 18:05:25 2017 +0100

    macosx: Video filter: Correctly determine type of variable
    
    Due to uninitialized variable, type was not detected correctly.
    Consequently, the playlist variables for video effects were not
    set correctly.
    
    (cherry picked from commit 54152cecfa047e18f4b7cc70569ed3b0ee689de5)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4a26032563523669bf8c5293bae99d31e7fc34e8
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 10 17:22:00 2017 +0100

    macosx: audio effects: Explain reasoning for UI manipulation in init
    
    In init, the window is not loaded yet, so changing UI elements
    does not work yet (pointers are null). It does not harm either, due to
    objc behaviour on null object. But it also initializes the needed playlist
    variables.
    In the longer term, this should probably be splitted, as touching
    lots of non-existing UI elements in init is not ideal.
    
    (cherry picked from commit 4873ca47648fb7cbe80a00681b9ea65767e5f70a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4749cd00a222d81fe11282fa11a332c0e7634f56
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 9 21:09:44 2017 +0100

    macosx: Do not lazy-load audio and video effect controllers anymore
    
    Those need to be loaded at startup now, to make sure stored
    profiles are correctly applied, even before the panels are opened.
    
    Previously (VLC 2.2.x), a saved profile was mirrored into the
    respective VLC config options, thus it was not needed before.
    this is not done anymore.
    
    refs #19260
    
    (cherry picked from commit 7798c907f373d1b543ace74f58bf9966a50ed592)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 139ae598f7ffc36659d9f5a2c999704c00b7858f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 9 20:39:28 2017 +0100

    macosx: profiles: Fix rules when new "CustomXXX" profiles are created
    
    * Fix bug where default video profile was at an older version, resulting
      in a new profile always created after opening the vout effects
    * On termination, only create a new profile if the apply button is
      on, the user is at default profile and actually changed something.
      This profile will be also marked as to be selected at next startup
      (which is the meaning of that check box)
    
    refs #19260
    
    (cherry picked from commit 7bf09f9bcfcc850735ca59289d88497c5a2de624)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit fe1716333c4ae850fc9f171646e444e2e22f84da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 13 22:32:06 2017 +0200

    mp4: fix infinite loop on malformed file
    
    Unknown or partially read box can be loaded succesfully even if it
    overflows the parent. This lead to an integer underflow and infinite
    loop until memory exhaustion.
    
    (cherry picked from commit f8c44ffcf7b4ca0cd4f58d7c44b2e1faa3f90ce6)

commit 858900671c46058f1a3e15b256e2f0e626dc5bab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 19:15:58 2017 +0100

    demux: libmp4: remove padb wich isn't fixed
    
    (cherry picked from commit 98f4d470875860572a9080c848462171b5338e01)

commit f2fb2241d03aab2b4beaba570ad0ce6f997e5093
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 13:44:03 2017 +0100

    demux: webvtt: rewrite to handle overlaps
    
    (cherry picked from commit 23d1f0087acab965f9d7fdac9ad1c5df20131ed7)

commit d78c8d492c5832766a2c8db9ff1e5929afa0bcac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 18:33:23 2017 +0100

    codec: webvtt: check timestamp validity
    
    (cherry picked from commit 283178771b7dd7c7aed2884fd9ae514ea0175759)

commit c929f6155cbaaec462d98cff678ef89b89319ade
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 15:52:13 2017 +0100

    codec: webvtt: fix regionless cues duplication
    
    (cherry picked from commit 86a0b361d91c20d88ed7ce5979ed24d1411e5c73)

commit 3d594095b6852a97e8b8858157c849787bc4c56e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 15:51:38 2017 +0100

    codec: webvtt: remove invalid assertion
    
    (cherry picked from commit 69c297c57a0efe92ac4ebc5aa27759d0019614e7)

commit 81316cc3a9bdfa42e860d7d0ffad1adc00a88b15
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 13 20:22:34 2017 +0100

    demux: mp4: check handler before dereferencing sample entry
    
    (cherry picked from commit 59535a015e94d3b70b30dce1c2aff8c23930b656)

commit 3d0ffa7c72bfe874fd9ffb425d8e13357ad264aa
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 13 16:08:44 2017 +0100

    videotoolbox: don't Restart in case of corrupted blocks
    
    This commit follow f75db2e7ef22b2bb9bc6e2ade65793163ebea4e5.
    
    (cherry picked from commit 80f2b8cf5a196d621659558f25e930c9d218d1f1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 99b7d9072b2371e4b5dc09e1f5f81ba294d799b9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 13 15:51:36 2017 +0100

    videotoolbox: don't ignore StartVideoToolbox() return
    
    And abort if the vtsession can't handle a profile/level.
    
    (cherry picked from commit 376de21e0f84fdb52f1401277befd9e36f1d1c8a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8cd49aa074937496e49ffe4e095a3973065e59db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 13 13:04:17 2017 +0100

    lib: export libvlc_media_player_set_renderer
    
    (cherry picked from commit 179a6ed9f632f8d8ee8d8e6420a6cfb873cfb8fd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit df045e5b7b7e3174363be19597a067b95f6d6b90
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Dec 11 09:37:56 2017 +0100

    hw:d3d11: Fix crashes when mixing D3D11 filters with CPU filters
    
    The filter chain is not recomputed and we may use pictures not coming from the
    right pool.
    
    Fix crash in #19266
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c6ca37272832afedc761a7dc28d5a821e6689df3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1bb4368a97357f1d1dfd74834a85f1212c52eeeb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 18:22:58 2017 +0100

    direct3d11: display all the visible pixels
    
    Now that we fixed the interpolation issues with CPU decoders.
    
    Fixes #19199
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 076c773eee4296008c2962c19687ad71e03a40b3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 578a1a16cbf0fbda8e598d0bff99ce267ac177c3
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 18:22:57 2017 +0100

    direct3d11: fill the padding area with black on CPU mapped textures
    
    This will ease the artefacts on the bottom/right sides of the texture when
    linear interpolation is used.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3e869dd4e5beb6a8d4e4f24cd8148e28c695406b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0c22bc60a75d193f163d219077d3c30a0f73949c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 18:22:56 2017 +0100

    direct3d11: map all planes at once
    
    Rather than failing in the middle and copying only part of the planes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit cbb51a5f4425f904d188b41a04de930b5a9276db)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a11622dfcb8add3592fd9d2fc6d68a84927a7564
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 14:13:43 2017 +0100

    direct3d11: code cleaning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 8c4ca0d5b59f247ae3838dec9cc01322cd2fa263)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4b0f4e484bbfa608c08af8fd0e2cfb51ac8765da
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 14:13:42 2017 +0100

    direct3d11: only resize the swapchain and create new targets if the dimensions changed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f178aa56f07776271bd9da9807ab402173a974f1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fa1d70023e8b817805549891e3a1c032e2ceb6d4
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 12 14:13:41 2017 +0100

    direct3d11: pass some variables as const
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7be22caa53fe01857a863581a9ee0079ee57d653)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bb6e2fceb4211274a8fc1cff67bb0829f1b717bb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 11 12:52:20 2017 +0100

    access/http: Fix off-by-one in ICY parser
    
    This fixes a off-by-one issue in the ICY parser that would happen in the
    case the ICY metadata is unquoted. (StreamTitle=test;).
    With empty metadata without ; (StreamTitle=) this would lead to a buffer
    over-read.
    
    Credit to Filip Roséen who discovered this issue.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b180121763aeb686fc331d6665c622ce02738bc4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4390f08b992dea89010f93aeaa5d268d0e7b134e
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Mon Dec 11 10:22:45 2017 +0100

    asx: remove useless test
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit cb7514099f2f45f45c409674a6a00df9833d8523)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4d3165e759f16502bb451abc46468802175856b9
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Mon Dec 11 10:22:44 2017 +0100

    asx: fix double free
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 85136949fbeeb8eb9e6625003d192924a2f317a3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ee2bc6132e7c1016b29c262d7a9662e97728c183
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 13 10:27:08 2017 +0100

    win32 installer: Install hrtfs
    
    (cherry picked from commit e890ffb14db21ad52a5c1274c11b839b2547f8e6)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5f2dfb1bbeca4f662f00638f0d6bde81e9e3c486
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 13 10:19:44 2017 +0100

    win32 installer: Use https
    
    (cherry picked from commit 076e62fe158a82f8e828ec0e3499b215817f28ed)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0d0ab76d897a59f2425f9e613fe350f8c02b45d9
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 11 21:59:38 2017 +0100

    l10n: Polish update
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 48cd41225c3b8388873e1f319eefd6313e4d3783
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 12 20:53:01 2017 +0200

    Old RC: fix assertion on "stats"
    
    (cherry picked from commit 0a74b077bc0edd3c5d613a65742e2cd57bb9175f)

commit 3c82fa9ddb9dc3aa9319ea115d1f7be10e4f2575
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 12 20:20:07 2017 +0200

    Old RC: do not show nonexistent sout stats
    
    (cherry picked from commit 3fccdd190b3dd5a1b8f6fc1295ce51d4c80584c8)

commit 39679f4d2de05fca85be2fdff4bd22a2b644ae59
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 12 20:20:07 2017 +0200

    ncurses: do not show nonexistent sout stats
    
    (cherry picked from commit d122a3e643f208860a058a87934eae272fb7c9cb)

commit 9bda46d77ef4366f278506d5e32ee38385873782
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 12 20:20:07 2017 +0200

    Qt: do not show nonexistent sout stats
    
    (cherry picked from commit bd19838c7a0d7e563d5623005e6059a5790e21d7)

commit 13e53757070dde9727cb39c5820c514dc4312ba0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 12 20:20:07 2017 +0200

    Lua RC: do not show nonexistent sout stats
    
    (cherry picked from commit 60006dcb7e98870d04ce61d69d189431295c8203)

commit 4f467fa3695a8518fca267bb236a9c759f35f350
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 12 16:48:39 2017 +0100

    package/win32: Remove already implied folder creation
    
    nsProcess.dll rule already creates this folder
    
    (cherry picked from commit ddeaa313ceeab09fdb0d30bfdf27915244408882)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ce2ae8c0efc1f8ddcd8ce3c68fcc543095501e84
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 12 14:54:26 2017 +0100

    package/win32: build.sh: Add an option to generate a release archive
    
    (cherry picked from commit 60903ec5b4b7419b6fdb6ca953aabb6da5b664f3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e81566f28b7aa37e79c7628a530978f073f30695
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 12 14:54:07 2017 +0100

    package/win32: Add a target to build a release archive
    
    (cherry picked from commit eb10be30728b8628ea151c695be3706accbc9c60)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 87e2b50e4a28e2ecb816ba4c3af349bd085e6fd6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 12 18:00:16 2017 +0100

    package/win32: Split SDK packetization in a separate rule
    
    (cherry picked from commit 95dd6c8c179c935aca87d9be209937bcda00ca4d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0c0fc13f003b36073c7ab7c5554e2dbee75db740
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 11 14:33:34 2017 +0100

    package/win32: Remove old binaries signature code
    
    (cherry picked from commit d37b4f9a06859cc688da07910e7b10976dd518fc)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0e6832629724e6c10e3d9da1824ed4ca80b3330b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 11 18:16:30 2017 +0100

    audiounit_ios: move notification up
    
    (cherry picked from commit 48f65f1df0f85104ddae365c2ef13bddb9edd356)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c814ad098eae8afb68eedb93c10f99c6c6f270f9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 12 13:01:35 2017 +0100

    audiounit_ios: remove ca_Flush hack
    
    Since ca_Flush() can now works when paused.
    
    NB: Normally, ca_Flush() can't be called when paused by VLC but this module do
    a pause in order to mute, and the paused state can now be set from the
    interrupt notification.
    
    (cherry picked from commit c7e8e84b6475081aa07a79ae5bcaa0806a3f7031)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4793c4ff4c449e6dccd0b52d351f8402c70368a9
Author: Carola Nitz <nitz.carola@googlemail.com>
Date:   Mon Dec 11 10:52:37 2017 +0100

    audiounit_ios: fix deadlock on interruption
    
    Add ca_setAliveState() that sets the b_paused to true and unblock ca_Play() or
    ca_Flush() that could wait for ca_Render().
    
    (cherry picked from commit 7e4c7f35ec3f713832ae51fde62f52990938842f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 06fb276afa8958a35b44b7802fb6c930e49d9476
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 12 11:38:51 2017 +0100

    codec: webvtt: fix infinite loop
    
    (cherry picked from commit 12a5311d7c8ed2f68b47b18dbb52907317ca2ea8)

commit 9625967df519f6096d89acb9f6df830fd9936431
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 11 15:56:19 2017 +0100

    codec: ttml: fix inverted cell linegap ratio
    
    (cherry picked from commit 2a1542ea5ac930eff7a372f29944fcb951e1b629)

commit 41c7abb6d3c09d4e8ec527b58abda7aeb2ae5dbe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 11 15:33:43 2017 +0100

    codec: ttml: fix double rebase (cell to percent)
    
    (cherry picked from commit e2ba02c8d1e7974fb65fddffb7372b5081b3f558)

commit 3f21af3627e78cf1fd1393e90890fc0c897b31c0
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 12 12:55:30 2017 +0300

    snap: enabled libplacebo.
    
    (cherry picked from commit 41d096176d1f27d821fef77a77bfd3c7f524a417)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 96f41ae62199582cc203100d5e62b390d9e7b7a3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 11 16:39:31 2017 +0100

    direct3d9: remove useless texture generation
    
    It's already done by the vout_helper.
    
    (cherry picked from commit 0dedb9e260c3bc3612ff6c04226348c339201bdb)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fcd9a89c173594e8fe465c032f05598e4b8d0c68
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 11 22:22:54 2017 +0100

    On the road to rc2

commit b01989a62168f348969608c496a7ac4a01e454d5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 11 16:57:40 2017 +0100

    opengl: fix deleting order
    
    Textures should be deleted after the glconv modules are closed since they can
    be still in use.
    
    Fixes #19274
    
    (cherry picked from commit 28f5370624a552cf765ca79df402125bd1fda10a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 08594b011da6a1b769f38dd1312f2233852cd297
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 11 21:09:25 2017 +0200

    qt: fix race on input_item_t.p_stats
    
    p_stats is written with the input item lock (by the input thread).
    Thus the input item lock is necessary to read and dereference p_stats.
    
    (cherry picked from commit 996f66c65c7840e298efe38adac39e9315e262d1)

commit 5e5379efc90044c3199b668482f95a91975dd201
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 11 21:09:25 2017 +0200

    libvlc: fix race on input_item_t.p_stats
    
    p_stats is written with the input item lock (by the input thread).
    Thus the input item lock is necessary to read and dereference p_stats.
    
    (cherry picked from commit 1fffacd6ea5df99f8d22111b13dfcfd3bcd49bca)

commit 52b8f84515a2ff003a78799c6b5bc0b9273f95c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 11 21:10:38 2017 +0200

    vlc_strfinput: fix race on input_item_t.p_stats
    
    p_stats is written with the input item lock (by the input thread).
    Thus the input item lock is necessary to read and dereference p_stats.
    
    (cherry picked from commit 895d480b516f01482df7176ccee811c38d665230)

commit 40ac6bfeb5eadbc1ac94376ba629c8c843949704
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 11 21:09:25 2017 +0200

    lua: fix race on input_item_t.p_stats
    
    p_stats is written with the input item lock (by the input thread).
    Thus the input item lock is necessary to read and dereference p_stats.
    
    (cherry picked from commit 7bac48bd52847fe1dc5cf25ee8068888cd38fc82)

commit 5e9828f89e023c42c5ba102146421a72f2d41c05
Author: Sebastian Ramacher <sramacher@debian.org>
Date:   Sun Dec 10 18:20:06 2017 +0100

    notify: use GTK+ 3
    
    Signed-off-by: Sebastian Ramacher <sramacher@debian.org>
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 829d6154b94cf24ede9c52f0286a1b35a71769e9)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8b1fbfaa30b07cfaa5440d45efc6690f4c52389a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 11 14:57:25 2017 +0100

    direct3d9: gl: don't unlock if a previous lock failed
    
    Didn't see this case happening but nothing prevents it.
    
    (cherry picked from commit c16eef67791923bad3a430349c1dbe1e2246c3b3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 169983c03abbeb0f5666978ebe3ec58b66f70795
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 11 10:35:14 2017 +0100

    demux: mp4: work with CLOCK_FREQ timescale (fix #19256)
    
    As some ppl can't produce files where the track time
    can be mapped to movie time..
    
    (cherry picked from commit 5a1d4e068965ba1b4f1ee820305ce7be80ed1c4d)

commit 410c661386b3e8162833c3e9d6c0596e563c16d4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 11 00:17:07 2017 +0100

    Update PO files

commit 8ea707eeebf386575692b63053a25f399ea86808
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sun Dec 10 21:06:29 2017 +0100

    i18n: typo fixes for the option strings
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1480fc481e5000ef66515cd88d8a58fcdb7f1c00)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fe8b55e6542ee89139cf6c253ca24a9c589a5d92
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Dec 10 16:43:09 2017 +0100

    NSIS: Remove old files before new install
    
    Fix #19253
    
    (cherry picked from commit 2b6c36dde9b62111baa3cd695b85a609b4c9d841)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e1f912507e6ffe4e4ec6a2b889b42f76ed8ea4f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 10 18:02:52 2017 +0100

    Contribs: ffmpeg, fix hw decoding
    
    (cherry picked from commit 2007dae6e53bcd89cf2286e5f152aacc51cea6e6)
    (cherry picked from commit cf729e450fa10d8652e12c70f49399700b21bcff)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fcb820b39ace34ac011892d162caa603c94bab02
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 10 12:14:38 2017 +0100

    access: http: set min icy meta interval
    
    worst case is 2, 50% bw waste with 0 bytes of meta and
    >99.97% with max metadata.
    1 is nonsense and would just mean no data stream.
    
    (cherry picked from commit d88d71098775870d8e90fde05990cb2828584d46)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 35a3bd5b5f406e0b325a07919466528b2615af0f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 7 15:42:48 2017 +0100

    access: http: fix Icecast
    
    Fix #19251
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 97dc9033290742660be5a4e8cf4efc8f2f0427b0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 39c8a8187a8573ecfbc9419edada85cbd353a36a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 10 02:00:49 2017 +0100

    QSV: fix typo in strings
    
    (cherry picked from commit c4993b6a3f552cf8533e30ef350de74f9575d545)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46849d49d5bad782ce1849cde406302dd4e2f802
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 6 16:06:55 2017 +0100

    asx: convert document to XML
    
    ASX isn't xml compliant, esp.:
       - it is case insensitive
       - attributes don't require to be escaped
    
    Really close #14062 (and all the duplicates)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 570ccc373402645dfc82b43025c630704621dfb0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a31042093c767d5202845d7c25c863c24d051db3
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 6 16:06:54 2017 +0100

    asx: don't fail if stream size is unknown
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ba71ea34edefa10019ec3d8b4dfc040bdad5b0f9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3e6bc1bf00cf3c60fc72962fa6b49ee0c2b9b00f
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 6 16:06:53 2017 +0100

    asx: fix crashes on malformed document
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ff3ffa91c8f84b7de515ab44ad9b1777183db9ae)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 927ca1c5c4d93c9831b7edb3e3f2365a793bd9f7
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Dec 6 16:06:52 2017 +0100

    asx: fix mimetype and stream Peek
    
    ASX is case insensitive
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 866888790951157d9321d3f215e40611a2d600f4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 024ca0802d3e2611b5c26b39be461c638925d19e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 10 22:39:26 2017 +0200

    art/lastfm: fix URI encoding (fixes #19272)
    
    (cherry picked from commit 526ae47cbc847a2412c408cbd4b3439e56ec9e47)

commit 3e790f126b54ec3a41b12a1ecf0f591c7a4f14c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 10 22:23:01 2017 +0200

    mp4: fix off-by-one reading with nul-terminated string
    
    (cherry picked from commit e018cc44508a62b381a5cbf256693a970cdc20b0)

commit dbb35a82fb4ac142e0968db36b7afab88b3521bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 10 15:41:36 2017 +0200

    sdp: fix multiple consecutive reads
    
    (cherry picked from commit 7f981398befbf10eae0a99a63031219ced8d6dcd)

commit 8b54e4af4cc1cfb7275b64f4564cb23fd6f14444
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Dec 7 16:16:28 2017 +0100

    qt: avoid location bar overlapping with search widgets
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7ff9d56336c65cd7e808b5730e752bf82c6f50a2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c0388471155aa3d9aa25c83c26a9a9417b92f42
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Dec 7 16:16:27 2017 +0100

    qt: avoid displaying mnemonic char and text elision
    
    '&' char might be added by accelerators like KAcceleratorManager
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 4273ef6f07a771782fcc4b296e5ffa4caf2e8cc4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8075a39abf0ae296b30e32677b606090208d4c9a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 8 15:17:59 2017 +0100

    direct3d11: the quad always have the decoder size, no matter what
    
    Fixes #19192
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 020349accafe61de5197a9166e689f246057e31e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0af7adbca81a88218720851b803a5f9b1fcc8937
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 9 17:09:34 2017 +0100

    hw: vaapi: fix loop condition
    
    (cherry picked from commit 7bfd1d18c33a15ea9d5eec77ef7dd9f8e5d1cd17)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit dbaa579f207a80f59b705133dad6a5fbf0298943
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 9 17:06:29 2017 +0100

    hw: vaapi: fix VANativeDisplay cast
    
    (cherry picked from commit 1dece20aa807391d902c36275c0bea8eff03b443)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7b3bde1ea61b2976e178da24afce2e51b19d14e7
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Dec 9 14:34:59 2017 +0300

    contribs: bootstrap: make uname output silent if -o is not supported.
    
    (cherry picked from commit 3fb8103c33e1ae60dced8c4f475bfa21e1195ad9)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 810fab000f46eb9c1192ed823742b20e1ab45531
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Dec 8 19:53:35 2017 +0100

    contrib: srt: Patch to add implicit link libraries to pkgconfig file
    
    This library needs to add implicit link libraries like -lstdc++
    to the private pkgconfig linking flags inside the pc file, to allow
    linking with a non-C++ module (like we have in VLC).
    
    (cherry picked from commit 0a57721d8811dd607b9f85556212b9702c979b6e)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit f2032bb5fc3ed6cabdffa6c522454a97925446e7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 9 09:57:30 2017 +0100

    build.sh: Add VLC_PATH variable to add additional paths
    
    This shall be used only if you are sure what is inside those extra
    paths. Please pay careful attention.
    This variable shall not be set by the normal user, and the normal
    $PATH variable shall not pollute this script, as everything needed
    is contained in extras/tools and contribs.
    
    (cherry picked from commit f98e502fe6d15815aebec8433081425e2329baac)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 96151a75eeb33fbea431aa774c9520ec03a389b7
Author: Justin Kim <justin.kim@collabora.com>
Date:   Fri Dec 8 20:51:52 2017 +0900

    contrib: srt: Apply a patch to fix link flags
    
    SRT 1.2.2 has a bug in their `.pc` that `Libs.private`
    field has package names.
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>
    (cherry picked from commit 00cdf85e6a6129aa7057be9746b4e151671d2492)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 23dc5ff50abcaedbc947a9a03302b16f61d2e56e
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Dec 8 12:12:30 2017 +0000

    contribs: chromaprint: more fixes for .pc file.
    
    - Moved AVFFT check: FFMPEG_LIBRARIES might be unset even if
    all needed FFmpeg libraries were found.
    - Added an ability to link with VDSP/Accelerate Framework on macOS.
    
    (cherry picked from commit f1c8cc80325c0a108e31d1aa7fec947ef880992d)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit c3736f0260e972096e9a7869b18f77495c948cd2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 8 18:45:50 2017 +0100

    codec: faad: fix !reordering case
    
    Regression from 790d6b1f5437b1307c831e6ac509baa40d69e3fd
    
    (cherry picked from commit 001b765d6699676077f147471f62ef701a5f478c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1d3db1a7108152d61885f8476064378b0b97e68f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 8 17:59:58 2017 +0100

    libvlc.sym: add missing libvlc_media_list_player_set_pause
    
    (cherry picked from commit a6d3cf0ae10b4d7316c80bc59b2a48fb0344a7a9)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c9b182d34005be4c002b25b61adcf3f489f0b76d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 11:15:17 2017 +0100

    demux: avi: replace off_t (fix #19249)
    
    AVI has 32bit limitation, but off_t file size was signed
    
    (cherry picked from commit adff84e6c468b8af7aed0a47876534b9357794ba)

commit f20751f3a80634ebc4113599c49dbf3f5c0ea46b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 16:47:56 2017 +0100

    codec: faad: don't reorder with random table
    
    heap buffer ofw on no reorder
    
    (cherry picked from commit 790d6b1f5437b1307c831e6ac509baa40d69e3fd)

commit 4dd10ad6c4f69fa93d29902d4a93cd0f84193c92
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 8 16:34:32 2017 +0100

    demux: avi: fix reading WAVEFORMATEX extra
    
    (cherry picked from commit e7d72a7066e8ad45568efb7dc77a826dc6f76141)

commit 43a34ee948a8c48350e9ea478ac081b53762f964
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 8 12:45:35 2017 +0100

    lib: add libvlc_media_list_player_set_pause
    
    (cherry picked from commit 0e89b88b7b21cda1009512ce4f86964afafb0d5e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 677da9d5bf5e5d6bda372a1701558c4518472441
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 8 14:21:43 2017 +0100

    mp4: Fix crash on empty ELST
    
    (cherry picked from commit e198d07cf316d4589e64822ab1477c7e31457b3e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b10a3596f3cb9ad826c33c661091b1175adf529f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 8 14:00:41 2017 +0100

    libmp4: sidx: Return early if there are no items in the box
    
    This also fixes a buffer overrun when MP4_VERBOSE is defined and i_count
    is 0
    
    (cherry picked from commit 45aee180d61c01050f0fb916085e49b3051d5ac1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1c7220608ca374abd50211ca0f355a572a711fba
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 8 11:41:56 2017 +0100

    copy: Don't modify fmt_out until success is ensured
    
    (cherry picked from commit 385765703e43f9c91ff8789ce303cc0822b7c165)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6f877be17b43936e603d855e1afe71bdd79d8d4b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 8 12:49:56 2017 +0100

    macos: remove /usr/local/bin from PATH
    
    In order to use our own extras tools and fix conflicts with Homebrew.
    
    (cherry picked from commit 51d7f31319868af059aa61b91b427016f384e34c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ebbfcbb5eab9ea7d15560a44061847f115d7b705
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 8 10:20:10 2017 +0100

    Revert "macos: enable libplacebo"
    
    It's now automatic.
    
    This reverts commit 0885ed816120265a33eb6d3f229cec7a9d3524e1.
    
    (cherry picked from commit 3bb2cd933128225ffc58024cf796939faaedc422)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 464446e611ef96d461a032ae81df61ce1ccf72bb
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Dec 8 11:12:03 2017 +0300

    contribs: openjpeg: create pkg-config file when requested.
    
    UNIX is just a default, and when we force BUILD_PKGCONFIG_FILES we
    expect the file to be created even on a non-UNIX systems (e.g. mingw).
    
    (cherry picked from commit 49cc9197f151859555964da2f3fe6aece8e5cdf3)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit adec1d1874b00898dc2f25b2301e52213d1622a9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 7 23:17:55 2017 +0100

    Add sami extension for auto-loading of subs
    
    (cherry picked from commit bbb1bcebec705e73f1b0d60df71891959971ed4e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit acab893ae6728ac36794a0bab5a80202b873007f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 7 23:17:14 2017 +0100

    Update AUTHORS
    
    (cherry picked from commit ee3ca0e40d31d110d34f1f7892dc14ab4f4793d6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a72bf7141136267c89c0d8db9e0bd213ae2a031
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 7 14:13:02 2017 +0100

    demux: avi: fix slow seek access regression
    
    (cherry picked from commit 5cad69c88718a85437e2f78846caae6bede8215d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f9a517302f4c70337406741e46c03cc816843923
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 21:37:11 2017 +0300

    snap: drop unneeded makefile rules.
    
    (cherry picked from commit ceaf3044f7d7c429e424e50fe5b46ae29d416428)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 29d661c8ab2d8a241fe596344942d010690858c8
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 21:32:33 2017 +0300

    snap: Use contribs.
    
    While at it, drop support for wayland-protocols and rely on configure to
    find the needed libraries.
    
    (cherry picked from commit 617a88d14e0dda336690a8c498caa694b2ef6b6d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd1c81931283423c45f30c5f95eb0e96d3b11239
Author: Alan Pope <alan.pope@canonical.com>
Date:   Thu Dec 7 21:28:39 2017 +0300

    snap: fixes to be able to build on Ubuntu 16.0.4
    
    - Fixed the desktop file and icon location
    - Fixed the required gettext version (0.19.8 is not available on 16.04)
    - Added ersion-script and 'echo' in the install stanza to easily
      identify git id from which the build was made
    - Fixed vlc-wrapper to set the right environment variables to expose
      GPU drivers for VDPAU VA-API to work out of the box
    - Bundle ffmpeg-3.4 and wayland-protocols
    
    (cherry picked from commit 0e932d9d816c5d78cfd5e37423f91e752a1ddf2b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 94f0938e99f93bdf562b9fc83d8a1710816dffe9
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 7 06:31:02 2017 -0500

    contrib: chromaprint: improve detection of av{codec, util}
    
    (cherry picked from commit a519fa6af971042c8736ea0ad41d1ed1a6c8683c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 387002347f003cf821253eea4c1482ae0e57bf72
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 7 06:31:01 2017 -0500

    contrib: openjpeg: import pthreads library where necessary
    
    (cherry picked from commit 81d9ee001960d515904072d3af7e2673da9417ae)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bd4de275328f6c61cce8c70b23edd99a33ff6940
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 7 06:31:00 2017 -0500

    contrib: openjpeg: build PIC
    
    (cherry picked from commit a1dbb411ecd5717eff20f71335773b790231f046)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff057ae17f15ecb5ee865d0846dece8f1d23a83e
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 7 06:30:59 2017 -0500

    contrib: ffmpeg: do not enable openjpeg v2 on Libav
    
    (cherry picked from commit f9fda2268ffd927ffb3b41d459c9092ff99364fe)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5458ff10a1520450d39e5a7687aa6e6358260066
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 15:30:13 2017 +0300

    Simplify and improve the detection of the number of CPU cores.
    
    (cherry picked from commit e3dc51fba81c1c34e6eaf4293335135060eccb21)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f5a9076160cebba33b1ab85d455d2709dce68676
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 09:27:48 2017 +0000

    contribs: ffmpeg: work around the ffmpeg configure check for libmp3lame.
    
    On Linux, libmp3lame.a requires -lm to be linked as well.  Now this
    library does not have a pkg-config file, so there are not many options
    to fix it.  One option is to pass extra-libs in our contrib system, and
    another one is fixing libav/ffmpeg configure to try and link libmath
    during the check.  Both are not good.
    
    (cherry picked from commit d58a64505dd5488b328201ac6ea11919055279e9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d2e49397ad8501bd102423429782cef233d2a364
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 09:05:39 2017 +0000

    contribs: ffmpeg: fix libav configure check for gsm.h.
    
    For reasons unknown, the contrib system installs gsm.h under
    include/gsm, which might or might not be the canonical path to put it
    to.
    
    (cherry picked from commit 5a275c0e3be84af6668a00368a8fd9c6d6403fc2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 21829bfd5dd07c29352bf4cc478310d358e182ad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 7 11:52:21 2017 +0100

    Input-Slave: remove .txt and .utf8 as auto-loaded subtitles
    
    (cherry picked from commit 57d6ef030183610fb18b24a54784660620d654a8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8710951fc638cc182ed0d4e4080f50bb6f449a6b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 7 11:04:05 2017 +0300

    contribs: ffmpeg: only apply arm fixups when using FFMpeg.
    
    (cherry picked from commit 22bf300392596146431a199858a50e1bf1542c6e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 195bdd71509ec9f76d89135c6f2e99fe6fa5dbb4
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Dec 5 22:56:20 2017 -0500

    contrib: ffmpeg: fix minimum required libavcodec after 53d723d5130ab62cba7215cc54fc961bfee51060
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a010468f69af8962c4f8b7f812e0f9456daac2a3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46ed10ce650e11ecbfaa2c17c479a0a99c39bae7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 7 18:04:13 2017 +0100

    jss: Avoid potential FPE
    
    (cherry picked from commit 888a34cb8cffa3fffd5b746873356b6f0290f529)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3f53b97a2f8dad485a1710546e4f6df3dcdd3a2b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 7 14:02:17 2017 +0100

    adjust: change hue text/description
    
    "add_float_with_range( "hue", 0, -180., +180. ..."
    
    Even if 360 is the same than -180 in the hue case, you can't pass value outside
    the range anymore (since VLC 3.0).
    
    (cherry picked from commit 095d1373bd20d29f531aadf3c77b08ea021d4f8c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 99cfe459ba1c2da3efca68c501a0014704cac41f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 7 13:33:41 2017 +0100

    VLSub: Handle incomplete/invalid result sets without crashing
    
    (cherry picked from commit 554675f57019e2ba4863683223ccc7fc833153f1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2c91462d922576c3eb931ddc20c36f6a3a84aa38
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 7 12:46:53 2017 +0100

    VLSub: Automatically select downloaded subtitle tracks
    
    (cherry picked from commit fa66e73d448e5381cd5fb5b68b5f5e96dfadb908)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ca482f4725f1fcedd9d057a9c53626afefe50452
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 7 12:45:17 2017 +0100

    qt: Don't check extension when manually loading subtitles
    
    refs #19229
    
    (cherry picked from commit cfcb0359525cf8e4b7cbeaf70f70aa35de665905)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 79c3822b6bc4f5f6b0162eb0b70386d0ae31bb3b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 11:00:49 2017 +0100

    avcodec: prioritise vaapi over vdpau
    
    Favor VAAPI over VDPAU: VDPAU is deprecated and present on less systems than
    VAAPI. Furthermore, the try and fail of VDPAU vout/va take much longer than the
    VAAPI one (around twice the time, that is 100-200ms). VAAPI will only be used
    for direct rendering by default, so VDPAU will still be used instead of VAAPI
    with CPU copy.
    
    (cherry picked from commit 1242c57afec896b193dd77462427f75e607ed0a6)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 61e08d3b31e0df7a4006cb315f8278ae1b995920
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 11:00:18 2017 +0100

    avcodec: refactor PixelFormat reordering
    
    TODO: The best way to specify ourself the best hw fmt would be to pass the
    whole pi_fmt tab to va modules and order these modules by priority using module
    capability.
    
    (cherry picked from commit b11a20dec7ef5a4f30802232c24c7d7b3f815497)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1e811534c5e217d375e77a1131f171098a25a00b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 7 10:58:25 2017 +0100

    libass: fix subtitles for iOS
    
    Close #19134
    
    (cherry picked from commit 7d0d4a9ec69613d3d2fd07ea0b76c46ea0765240)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d114c3a2fbe135fdb6d6a22722c1d3a5f3097c7e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:22:03 2017 +0100

    opengl: add extra check
    
    (cherry picked from commit 47d454df266edce435f8ae6a908f7f389b77752c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit cffa2168ffc813b9bbecd551b763601c82493049
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 15:27:20 2017 +0100

    opengl: use GL core symbols from *GetProcAddress
    
    Use GetProcAddress to fetch GL core symbols instead of using symbols from the
    libGL linked with the vlc gl plugin (but not for GLES2/Windows/macOS).
    
    This fixes a crash with nvidia drivers when using EGL but can also fix some
    others issues if a vendor/distrib ship more than one openGL libs.
    
    cf. https://github.com/NVIDIA/libglvnd/issues/63
    
    Symbols from the old libGL.so.1 were used instead of symbols from the new
    libOpenGL.so (that are fetched via eglGetProcAddress()).
    
    I guess that libGL.so.1 can't work with EGL with recent drivers.
    
    Fixes #19093
    
    (cherry picked from commit 744ac6ec380ef07db7cb6f6ed07d4c9ba9708798)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 0ef7946695a700eb50592feab3c9ab36bec44e82
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 16:15:23 2017 +0100

    opengl: ios: add missing opengles2 flag
    
    (cherry picked from commit b48244da992b721fd79edeef6dc2f7b18a13c31e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5c595d9cb110dd79e16c99a091cbb7d6e4402863
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:24:08 2017 +0100

    opengl: caopengllayer: use vout_display_opengl_Viewport
    
    Refs #19093
    
    (cherry picked from commit e22818c517c52c77d030b1829b2f1dfdcdb4192a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b963ac95c421d2c3890e50a8745d8dc2e0766f69
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:23:56 2017 +0100

    opengl: ios: use vout_display_opengl_Viewport
    
    Refs #19093
    
    (cherry picked from commit 1eee78fa78086bdf40faa3bb516ce5c2dcabc5ac)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fc4f93589a39b1667b4519085d21b769ce128dd4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:23:31 2017 +0100

    opengl: macosx: use vout_display_opengl_Viewport
    
    Refs #19093
    
    (cherry picked from commit 30a892d147a03871611097d662a2ec5ef94dd7e0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 26cbd0dc846231ca8597e509c34f920c4eff09ee
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:23:23 2017 +0100

    opengl: use vout_display_opengl_Viewport
    
    Refs #19093
    
    (cherry picked from commit efdccecd67ad0eee639721d619dbb84770a8b684)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 41e0d096d517ab468ed9fc2753d6ae8d55847cd0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:23:12 2017 +0100

    opengl: win32: use vout_display_opengl_Viewport
    
    Refs #19093
    
    (cherry picked from commit 55c377dd23728f18e9a1c8045bdcfa7f232177a5)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4bbcb092193f7ae7d43bfba8d8c2f647d43eff75
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 14:22:59 2017 +0100

    opengl: add vout_display_opengl_Viewport
    
    In order to use glViewport from the vgl vtable.
    
    Refs #19093
    
    (cherry picked from commit fad8b0b466f5915bd30eb8d2424720363034df13)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e3156e1db2417b5297cb39590b6e14253bb72277
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jul 19 17:18:29 2017 +0200

    opengl: use all GL symbols from the vtable
    
    Refs #19093
    
    (cherry picked from commit a373a92bf6d4319ce79c87adc45df3c1ab5ab7ed)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit eab463797eb7218febbc6049e5fab6481b7d3754
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 13:33:45 2017 +0100

    opengl: sort gl core functions alphabetically
    
    (cherry picked from commit a1b62e49fb828d470beb2472fcf43d9108db0eda)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b45859c81fa9407b88b0693373ba7338e655e0a2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:47:23 2017 +0100

    ftp: check vlc_UrlParseFixup return
    
    (cherry picked from commit 2d45569c50404d45bd44482a00d982b87467c600)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 488e19f3746a9a9117f48cc8cf842203666cb010
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:43:09 2017 +0100

    nfs: check vlc_UrlParseFixup return
    
    (cherry picked from commit 190b7f5e777e03d7bc8c368183dfd1c2c53b3883)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f728b2566547ee43221a4d5be8fc878df6d54751
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:15:36 2017 +0100

    smb: check vlc_UrlParseFixup return
    
    (cherry picked from commit 967b137ecd7f0d798c58d33f5cb6ee739860326b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7f63afb80ac0751ed65a9008a744db934837da4f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:15:28 2017 +0100

    dsm: check vlc_UrlParseFixup return
    
    (cherry picked from commit b8475e9549ad0f8dbb55ae864d6b0df8c4e638a7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ae324f4ceb692f92200038e6570d371081e856cc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:36:24 2017 +0100

    sftp: check vlc_UrlParseFixup return
    
    (cherry picked from commit 571c0232f904a57211c470eb7ab5ebcfde9c0fd9)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 0a67efffb5aa6fde2e8e850bc5308c27d845e8e7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:35:22 2017 +0100

    sftp: use vlc_UrlParseFixup
    
    (cherry picked from commit a495e2b5d37d212dca69aef88329b6a82bb8359a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 73844599b27906d169b0debe505d733bde9ef58b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 6 09:34:34 2017 +0100

    sftp: parse the url only once
    
    And duplicate url.psz_path before decoding it.
    
    (cherry picked from commit 66c293af26343e42576068670229bcefca0a9c33)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 04a9ebf0ce4c00a1d26afdf0320a88274addd70f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 09:51:00 2017 +0100

    ftp: use vlc_UrlParseFixup
    
    Refs #18991
    
    (cherry picked from commit d4055e377b91a173c55b3f7406724e62bb49d146)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c0b93739607207cf37c946d559dfea0072c1d6bc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 09:50:43 2017 +0100

    nfs: use vlc_UrlParseFixup
    
    Refs #18991
    
    (cherry picked from commit dbcb44f4575702f2038c2b14a4448559f8670279)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 726c7c51ce36c01c29b76b6c513bdce73e1dee1d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 09:49:29 2017 +0100

    dsm: use vlc_UrlParseFixup
    
    Refs #18991
    
    (cherry picked from commit 84c6754f910967885b39ec292ddfb35a563b006e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6b3b086eab3af2c8267d99ec564020b60a8148f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 5 09:49:18 2017 +0100

    smb: use vlc_UrlParseFixup
    
    Refs #18991
    
    (cherry picked from commit 762ca1e8a01278b34ddb34765f3339690aad5d2e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bc9e44583183f582d60469442ea3d0df8085724f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 13:56:41 2017 +0100

    url: add vlc_UrlParseFixup
    
    Refs #18991
    
    (cherry picked from commit ba9809c8b83163098c097d4275ddc6e3b662c412)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a55d886ddd77e29cd3d12178a8a3eaecf6643dcc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 6 23:46:29 2017 +0100

    contribs: ffmpeg, fix compilation for ARMv7 on Android
    
    (cherry picked from commit d14c813b19b9f40e3c1de93f2d750ced41f0e7f1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a681f698b04121e52be162c8df1a2e7bb9e3bc8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 6 13:35:33 2017 +0100

    demux: subtitle: read dropframe timecode
    
    (cherry picked from commit 533431b6f6e83d3111092932b80e4088eb04a2e8)

commit 12fa1382e89845869a4aa3558ab5d4128231e57a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 6 10:31:48 2017 +0100

    demux:mkv: don't crash if a child element has an unknown size and the parent doesn't
    
    libebml should be fixed not to allow this.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 729469b775a345997ad8c6b2a4d9b93affb72efa)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5c5f72bb4cf4702561aa6b6fb2a870e33f5c581c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Dec 6 09:36:23 2017 +0100

    contrib:ebml: Do not use elements with an unknown size if it's not allowed
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 5094c8e334680a69b2832e3aa93c56fa23d133b4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cf370719dedceb9173c83014a262ef7027b58e3e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 6 02:56:18 2017 +0100

    Update PO files
    
    (cherry picked from commit 974e719ba54ecdb2d468048d3ac516020130a831)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9bf3041054437508dab35ca8769e7eb357ba2f8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 6 02:54:46 2017 +0100

    MIDI: use only one i18n string for all the modules
    
    (cherry picked from commit a334e32182b96ac8dca8c81c1562a94a617da65d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e16c86b0bc354abf46717147d93332080a70b870
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 6 00:25:13 2017 +0100

    QSV: fix typo on CBR
    
    (cherry picked from commit 3be21393d4d40018d3241e4407b8428b072ee11a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc881a4c19ebb54011a3f22d35ddec6046cee801
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 6 00:23:41 2017 +0100

    SRT: fix typo
    
    (cherry picked from commit 52f8cf70f101113eeab9033d76b4771b81f05a46)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 425ea8e73b78f3f4b6b8c2610b7f1c3042b376a9
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 30 10:11:12 2017 +0100

    configure: Remove obsolete OS X 10.7 workaround
    
    This was used in vlc 2.2 to disable symbols which were not available
    in 10.6. They are available starting with 10.7 and we have a
    different mechanism to disable symbols nowadays.
    
    (cherry picked from commit c9d802a63af4a8215ebb01114d540ad3ad8dad87)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 1679ed33d3415ea61d38da24412d16335b084846
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 5 18:19:49 2017 +0100

    macosx: Fix playlist duration calculation
    
    Manual backport of a99d9803133eafd8789a4fc4bbd30b0de0bb53f6, to remain
    compatible with macOS < 10.10.
    
    Fix #19221
    
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 199747d9c8f7ff4fa3a962a7d3341934dbe97cd5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 5 17:16:25 2017 +0100

    Contrib: FFmpeg, disable Linux perf because it fails on Android
    
    (cherry picked from commit 949fdc703a3451a7c1d201ba964a7821c0d4f3cd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3ba06ec852b69c0d60b22d172af3a4ac7e595af3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 5 17:01:59 2017 +0100

    contribs: openjpeg2, don't build the tools (codec)
    
    This should fix build on Android.
    
    (cherry picked from commit e9a16db4c5096566e60c09423a7dda55f1cb1883)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c5190e5b2db855f6075bee2b955be5eb3170d16
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 5 16:46:32 2017 +0100

    contrib: openjpeg: Add missing toolchain.cmake dependency
    
    Pointed out by: David Fuhrmann <dfuhrmann@videolan.org>
    
    (cherry picked from commit c8384b1f759bcd92f19587db4ebc3819fe3a498a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2b50d9fbbb1fcf9652674d200ea85095a1922809
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 5 16:31:08 2017 +0100

    subsdec: Fix memory leak
    
    (cherry picked from commit fc03009e41cbc0495e453b135792e57dc080a695)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ccee27d12c5e4e8406744db18719950a4ac6ceda
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 4 15:31:23 2017 +0100

    contrib: Do not build fluidlite on macOS
    
    There is now audiotoolbox_midi, which makes fluidlite unnecessary
    on macOS
    
    (cherry picked from commit 6f345f9734c5e8352debbd0e5b9748300e812a81)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    Acked-By: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ec841c515ecd9668092a0662a8a461017957ede
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 30 09:25:05 2017 +0100

    codec/audiotoolbox_midi: Handle SysEx
    
    (cherry picked from commit 7b91213fa9636b6fb0e67d0e9c3e8aa3fde3a835)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    Acked-By: Jean-Baptiste Kempf <jb@videolan.org>

commit f0c50478fd55bd9ab9003f262a2d4dc24f1e1db3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Nov 29 16:31:21 2017 +0100

    package/macosx: Add audiotoolbox_midi to Xcode project
    
    (cherry picked from commit ca659050fa3c7f999330e5c792b8e872ea117a82)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    Acked-By: Jean-Baptiste Kempf <jb@videolan.org>

commit 281f17acb9f246916c0a60730ff7ed3a2f261762
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Nov 28 13:15:19 2017 +0100

    codec/audiotoolbox_midi: Add AudioToolbox MIDI decoder
    
    (cherry picked from commit 27bb516b0c99e76875d95e785a3e61af032fd683)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    Acked-By: Jean-Baptiste Kempf <jb@videolan.org>

commit 103010adc380c9f1962147e850cf21d7b419d2cf
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 5 15:30:07 2017 +0100

    subsdec: Fix memory leak
    
    (cherry picked from commit 589f928104478fee5901db0d0b2e1e829fbe30dd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d9315fcbc21f194c3af280f9c8f5555c314e4218
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 11:17:54 2017 +0300

    contrib: cmake: set the Debug/Release target for all operating systems.
    
    Previously it was under HAVE_WIN32, which is probably not what was
    intended.
    
    (cherry picked from commit 30b6a6691431a6245a7f27ffd3fb061c3f6b50c6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 30f556edc2454e2ff94c2dece72c2b4ff76ad732
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 10:55:50 2017 +0300

    contrib: soxr/openjpeg: don't explicitely set CMAKE_BUILD_TYPE.
    
    (cherry picked from commit 40489baa4fb9e410c815c47ef9907a285d1ed5d3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59fe3fa561ab7db25ab426a8a829fba5b0387a2b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 07:52:48 2017 +0300

    contrib: ffmpeg: don't force-enable vda on Darwin.
    
    The VLC code for that was removed in dc14ecb4f25874c364e6dabc902c540c94ac5556.
    
    (cherry picked from commit 5115a88a015dab91e810fda6f1814ca5b586813c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 04ef5df19537426d25d6622efebb1132f5ea80a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 4 01:50:16 2017 +0100

    Contribs: update FFmpeg/libav hashes
    
    and make it easier to use a different FFmpeg fork
    
    (cherry picked from commit d7816e451372913185a7b94ce0bb117646b07bb5)
    (cherry picked from commit b6c43967342dc0dab232f0428b6e898572a5128c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 428fb11b556a97673b13edbfb092ae85736b7080
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 07:38:18 2017 +0300

    contrib: openjpeg: added patch to fix install.
    
    While at it, use upstream-preferred cmake parameters.
    
    (cherry picked from commit 6d854372e2048ccab20aa80c40782dccb905f9f2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 92f88013d60f89c0b5ccb9cd10d1b28674f915bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 4 02:05:41 2017 +0100

    Contribs: update openjpeg to 2.3.0
    
    And switch to CMake
    
    (cherry picked from commit de37944f020d532418722da1bbf368472439da4e)
    (cherry picked from commit 68af3d0e2d5d5a02fe5d906b9e4a2d252b428441)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6f3bba11eb36bfba5ecf579fb25322436267d5c
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 09:59:13 2017 +0300

    contrib: srt: call pkg_static.
    
    (cherry picked from commit be00c0f748b60f06ca8730b8e89f9733d32e9385)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 998cca95c2b0a369119feddf7516599437f85ee2
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 5 06:39:39 2017 +0300

    contribs: srt: override Werror=partial-availability for DARWIN_OS.
    
    (cherry picked from commit facf4da263c971db8b22dbf0070280c419c13c6b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9703740cd0aa78f263c36678c7ac733d974d667
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sun Dec 3 15:34:43 2017 +0300

    contrib: srt: disable test apps build.
    
    (cherry picked from commit 407f5719715165f8831af1521738839288961301)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c0ee8b2a8361f4fbeb474d8972214a79b9cef536
Author: Justin Kim <justin.kim@collabora.com>
Date:   Mon Dec 4 15:15:25 2017 +0900

    access_out: srt: use pipe to detect interrupt
    
    `eventfd` is a linux-specific API. `pipe` can provide similar
    mechanisms to be platform-independent.
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c8bef6551e50cf4cef893a9d274571810e1895cb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 236104d65b652bb31026b05b371ddf6f9c0f83d9
Author: Justin Kim <justin.kim@collabora.com>
Date:   Mon Dec 4 15:15:24 2017 +0900

    access: srt: use pipe to detect interrupt
    
    `eventfd` is a linux-specific API. `pipe` can provide similar
    mechanisms to be platform-independent.
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 20ccc2223554fb00876e5025a93917f0745a1c18)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bf0ef7b771d5250002846a1ed9bce236393b04f
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:12:55 2017 +0100

    i18n: capital letter at the beginning
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ec0992fbfb5cca619b34da48502d317ab51a94c0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1a21eb17d67d90225e84d0514b120bd20c16a4db
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:12:54 2017 +0100

    i18n: missing . in LONGTEXT variables
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9230003b194fa774708b8017bd72aeb612131d70)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ccf6b44cd42e8fb37457e6d57b709bfb436653b
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:12:53 2017 +0100

    i18n: typo http -> HTTP
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 0bb5fb9dcd76ef40221c2c5cd18301172eddffc2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e039a2a7867c1c6ae276a36a44bf76cac1597ee0
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:12:52 2017 +0100

    i18n: typo fixes
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 293819990a488ec09e10b2a4a954673524f29358)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7e796a0b348c72278287b5e8f5adce38c5c8e708
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Fri Dec 1 19:55:35 2017 +0100

    i18n: typo on "amount"
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 512b4e55764d8f63ff9f836c7bc853c7c13892eb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46f5be093b1f7229ca533afd16a85edffa15687a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 5 00:37:45 2017 +0100

    Add missing subtitles extensions
    
    Ref #19228 #19229 #19230 #19231
    
    (cherry picked from commit 9108c985c600f8fa40f6095e7fd97dc7dcf9ace0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 173740fea3c0079364ca84f9cb2616d820bb3260
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Fri Dec 1 17:52:53 2017 +0800

    demux: hls: avoid redundant update of playlist
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 390078318d4f62827a5f185bf922e9b03052a19b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 68378c1fa6b8634d0bb69bc8770da7ecc4e38d6d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 17:59:42 2017 +0100

    input: attach slaves to master only
    
    The previous logic was wrong. An input item is not necessarily a master if it's
    not a slave.
    
    Fixes #19208
    
    (cherry picked from 55b62a9b3428b97b2eb792fbcca6121f01158c07)

commit bc634c6cbf358a7be11914f306c0fefde4238810
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 17:49:18 2017 +0100

    input: use bsearch in input_item_slave_GetType
    
    (cherry picked from c7a229ab34e705446f87c28c0afe8387676efca6)

commit 758a3891e15cdd70372b827ae1ccadb03eb3e038
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 4 18:57:27 2017 +0200

    nsv: fix flawed logic (fixes #19213)
    
    (cherry picked from commit 3d61f5d5a9bdd2ccd29fb627495c44371faf7cad)

commit 01b569138a87a8c3d5d9392de5d366f9fc9d07c8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 10:22:23 2017 +0100

    input: fix null-deref from input_ControlVarStop
    
    This commit fixes a NULL dereference introduced by
    ee8f0516a22a975e44bec35ea1991b076133fd94 when demux_Control( DEMUX_GET_TITLE )
    pass but the input doesn't have any title.
    
    The input_ControlVarStop() function cleans up chapters callback by destroying
    the variables like input_ControlVarTitle() is already doing.
    
    Fixes #19218
    
    (cherry picked from b26c856b4c68fea71b4b8bb727c790ba7c867fd9)

commit 0d9daeeb77d0b0ea9b9c7439a4e35dcc9abbbd69
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 11:15:35 2017 +0100

    access: live555: re-enable subsession teardown for vlc
    
    (cherry picked from commit 9a647ec12d0d3a161110343028b60b7b3aa38e71)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9ad2e9f74ae5e9df52f5b17c18c458a5a9d77d52
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 11:04:26 2017 +0100

    access: live555: set workarounds from server string if avail
    
    (cherry picked from commit 73b3614247dd47e07e94fb2d2f9040ea89b7c493)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 597873d66fb62bd0ad4e16b4553cb9dff2e66518
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 10:57:44 2017 +0100

    access: live555: replace workaround vars with flags
    
    (cherry picked from commit 24c49aeccbe6c5d8512edff27416e67596f640b4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a2d5cb08bbb1e3ba8cdd98c10b1283323581e7f1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 30 19:41:58 2017 +0100

    contribs: live555: expose Server header
    
    (cherry picked from commit 300978f136fd38f0847901896f3da74b0fe3c182)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1640df6ea2d579693c86efcf14f8e690b816653d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 09:23:04 2017 +0100

    Revert "vaapi: fix crash on error case"
    
    This case can't happen anymore.
    
    This reverts commit 10a562ee149e199529f917e53da9c4fc902cf629.
    
    (cherry picked from 37203287ee2b3c6865ce91ad4cc389562662e5d5)

commit 46b2ac113a29879e4d534a9a142392d60bb40b09
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 4 09:22:45 2017 +0100

    opengl: vaapi: fix UB when surface type and module doesn't match
    
    Fixes #19204
    
    (cherry picked from 7c0a6a24a78f7b965732517605d78872abab87e8)

commit 9bbfb0e51ee10e0b4a6967b382a0c3bf39a0f893
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:33:05 2017 +0100

    i18n: missing . at the end of a sentence
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit aacce0f6113123226f2fe66268cac01e7b2c5d61)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 883925daf634b94e26f3a679c971df42bc80940d
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:21:40 2017 +0100

    i18n: capital letter at the beginning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9924438b5c17a50aae5343017c1351e083db53e1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1252b54882b511e3e0401bd629959baa257557a5
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Dec 4 01:20:55 2017 +0100

    i18n: missing . in LONGTEXT variables
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit cfbe65e6832fa82595adb7c7067748902b72de4f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f60dfc31d8e8a7f3828128bbacd3aeddf5b791c4
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Thu Nov 30 19:47:27 2017 +0100

    i18n: Capture region heigh -> height
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 60c6b2f79b8c1507f1a334c5ec498798c9de771f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6dc57087c4b907d67e5d924f7200f3035faa7a4a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 11:30:11 2017 +0100

    d3d11_fmt: consider drivers are always OK on the Winstore builds
    
    Too bad if they're not, there's no way to check.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e501dc96a1e30a19ca5cc5d18b5d100ec4512369)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b8b4fe611f0efbc372ce0942dcb7e542f3ae4d4
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:15 2017 +0100

    dxva2: disable HEVC 10 bits decoding on older Intel drivers
    
    See https://communities.intel.com/thread/116386?start=15&tstart=0
    
    Fixes #19171
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit fbf3555aae97391b8e64341eb5349c204f015d8a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c7b3032701e43545481f524bc69598bfe22a153
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:14 2017 +0100

    d3d9_fmt: add a function to check the driver vendor/version is OK
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 99b260eb557b85cc45b7f922cf97fc4665f37d17)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6e566fd92bba619c747cefb514d4f636113cffd1
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:13 2017 +0100

    dxgi_fmt: use a generic way to get the vendor string
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit eb10517a23e3dd1e885375977577d38bd5118709)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 54e8a00450f0ca92ad839cec8ce81861d1869f5f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:12 2017 +0100

    dxgi_fmt: remove unneeded includes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 25e716416142f0163f99a88e2a5772af991e1538)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bf1cc97d69fbd30087a1c5441b39d28e56f6bdc8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:11 2017 +0100

    d3d9: include dxgi_fmt.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c38cae6614b777dd0651d79a0489821ca5893c20)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cf2aa67a79b36ff962b26613bd67caab5e422687
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Dec 1 09:55:10 2017 +0100

    dxgi_fmt: move the manufacturer IDs in dxgi_fmt.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9aadaa056ca72e2add3eb2b004c448e07db8289a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0580071dd02944439050d1e00a45ba23bdb5031c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 3 23:26:31 2017 +0100

    contribs: update libbluray to 1.0.2
    
    (partial UHD playback, yay!)
    
    (cherry picked from commit cd1ecfb8ec77bc117aba4f432a04ef1e3094c442)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ea6964dde717c2b17ba7236936a9e944fd0a80a9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 3 22:11:20 2017 +0100

    Qt: fix menu double action
    
    Close #19200
    
    (cherry picked from commit 365e4967451fac3246f1eb4ab73c5257cda8abab)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a92fb5e63ef9f8611c65d25964e260b789bc2a81
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 3 18:54:33 2017 +0100

    vaapi: fix crash on error case
    
    Regression from f0c3cef078963f848e961088d452c488c88f4f7a
    
    Close #19204
    
    (cherry picked from commit 10a562ee149e199529f917e53da9c4fc902cf629)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c60a0f7db1a5153443bb3abd074e48ad7e68033
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 3 14:56:48 2017 +0200

    bootstrap: fail hard if flex or bison are missing and needed
    
    (cherry picked from commit 31acc2f0e75352c56b742d33d6852b209133b05e)

commit 14f1d93894a45c507aee48723a33d0e4137d2a67
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 3 12:34:18 2017 +0200

    dvdread: fix switch warning
    
    (cherry picked from commit eddde94c1cb784cf2412b83ff0a32b443d06894b)

commit d745c436248431f6f65700e56cb19b937032e13b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 2 23:12:22 2017 +0200

    hds: fix invalid cast / aliasing violation
    
    (cherry picked from commit cf542f06543319cb0b90de2619d7e0da8bbd52df)

commit 19efb2ec4acee33c25d9803b5745d91a9f5172cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 2 23:12:22 2017 +0200

    wpl: fix invalid cast / aliasing violation
    
    (cherry picked from commit b6fc7cbd76a7b37e1274f65485926c14d928c4e5)

commit 7f450d9369883b5efa9a46c5281ed253dca20e13
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 2 23:12:22 2017 +0200

    podcast: fix invalid cast / aliasing violation
    
    (cherry picked from commit 1c1f5a071ac8356e6455078f30e0f8c0effa67ec)

commit 879d9501496d3c45ffb30a73847fd4fe5eb704a4
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Fri Dec 1 17:21:43 2017 +0100

    se/archive: fix seeking with SEEK_END
    
    Fixes #19133
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    
    (cherry picked from commit 777514b42f0a3cea41fef9ee770831be03adeac5)

commit 42916adc138e7aa46c938504a70c58b7d066cd79
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 16:08:51 2017 +0100

    opengl: vaapi: use vlc_vaapi_InitializeInstanceDRM
    
    Fixes #19173
    
    (cherry picked from commit f6bbe4ecd098854cf7f6f1474ca8dac5a62ab5ac)

commit a80faeaab70c27e9268072f2fb70ffafd833abd7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 11:08:17 2017 +0100

    opengl: vaapi: refactor vadpy/vainst initialization
    
    (cherry picked from commit f0c3cef078963f848e961088d452c488c88f4f7a)

commit 0388f15d87d8047111df43de0eb11a28e8ebf047
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 16:07:31 2017 +0100

    avcodec: vaapi: use vlc_vaapi_InitializeInstanceDRM
    
    Refs #19173
    
    (cherry picked from commit ac4427272da273ed8509f929bdf353ba94505eec)

commit bbe561d3770bfde90f3019a21194292909d15eb8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 16:28:13 2017 +0100

    hw: vaapi: try more DRM devices
    
    Refs #19173
    
    (cherry picked from commit 9ed4df2e2873f1d7b9e790408e0270b15bc5602b)

commit 499a739be14ccaab4e03570324cff14c48abdc47
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 16:07:14 2017 +0100

    hw: vaapi: add vlc_vaapi_InitializeInstanceDRM
    
    Common function to open a DRM device, get a VADisplay and initialize it.
    
    Refs #19173
    
    (cherry picked from commit 513fb6e95b5eb418e4f0734380985f2928738db6)

commit 2df9fea84e51e142868ba0ceefbc0062e65efae5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 15:31:56 2017 +0100

    packetizer: h264: skip instead of read
    
    (cherry picked from commit 0f4f98865afbd2aad3e2de3ecd23f0540c5694ca)

commit e41d4ee7f475a8efba34ff810b119e5aff55a31b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 15:31:34 2017 +0100

    packetizer: h264: check num_slice_group range
    
    (cherry picked from commit f0eb9b6be694fbca9968ce279756f69a1499850b)

commit 796f8ecf243736c88d123e70ba7b1c108dceeba1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 1 15:09:30 2017 +0100

    vlc_bits: add shift guard on bs_read
    
    and reject any reads > 32
    
    (cherry picked from commit 86c35629d7f095b372b00b1d3918528bbeb0b5a7)

commit f41ad8d916b79535861ca41ab0d510f933b04944
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 15:06:07 2017 +0100

    lib: fix libvlc_media_player_set_renderer
    
    Use the new input control: INPUT_SET_RENDERER to setup a renderer.
    
    (cherry picked from commit 3eaa1607ec817bca17a9f446902a8c418885fffb)

commit 31f2a813d3bc5839e57a104c61c03d2de12ccf44
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 15:05:09 2017 +0100

    input: hold the renderer_item from input_Create
    
    Doesn't fix anything, just for clarification.
    
    (cherry picked from commit c72a13b971f8af7f02402eafd3b74d13c1dc53c5)

commit 86087fb424535b8bfb9fe6e31796d94dae0af953
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 1 11:25:57 2017 +0100

    input: hold renderer_item when passing control
    
    This fix an invalid-read if more than one renderer items are passed in a row.
    
    (cherry picked from commit af123cc25b37976c34b2e342082493fc8405f4d6)

commit e8a17b5f7c69adb9b9e53c8d769620376c0908ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 30 21:29:05 2017 +0200

    mp4: fix leak in DVC1 box
    
    (cherry picked from commit fe8921433e5c59d9c3936fb610256c4adb54de8e)

commit 2b5eef596431eaf7a4fc1938f57fb64122ffd5f0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 09:36:17 2017 +0100

    contrib:ebml: do not read further than allowed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c1feca7b23cb70d538ce830a0e7b27196ae67dcd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a20c033f03f6b3f2e22dd95f1003d7f799d321b6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 30 17:44:40 2017 +0100

    d3d11va: disable HEVC 10 bits decoding on older drivers
    
    See https://communities.intel.com/thread/116386?start=15&tstart=0
    
    Fixes #19171
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 4d63f935fde9a2b494ac9811eb55d9aebaf9762d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2d06832b698ee1325e86f11d3a1f2328a8d01e2
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 30 17:44:39 2017 +0100

    direct3d11: use D3D11CheckDriverVersion() to check the AMD driver version
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1212ce93b6281e68bdbe85f1ffb405d18267ee22)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8697167d13a11e0e68724468bb71c534d5823f10
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 30 17:44:38 2017 +0100

    d3d11_fmt: add a function to query the driver version
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 181e43279c82061f13a49772124168667ca3998e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 384a67ca48693acd5c1379cae0a6aa856f9ea164
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 30 17:44:37 2017 +0100

    d3d11: use defines for the manufacturer IDs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5a6ce11ace90025e6284e82ebb14b12c9881a277)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c4a667202a1b3a0d3db8d138242c3066c1c250bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 30 18:30:23 2017 +0200

    stream: clarify seeking documentation
    
    (cherry picked from commit ad303c60a766c417ccdc8968e83a181ce6a7d963)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a9535b9bee74dd1360083ae91f2350841a118045
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 30 19:32:58 2017 +0200

    mp4: fix integer overflow in HLDR box

commit d4221c870595f3639a7138b73481f23eca35c352
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 30 01:56:12 2017 +0100

    On the road to the WeatherWax release!

commit 8d432b090e08f141ce9156dc728afbed4636301b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 30 01:43:10 2017 +0100

    Update NEWS for 3.0
    
    There are probably still some things missing, please report them!

commit ddaa013e4295588d1024229c94ce5eff7f20f1f2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 05:08:21 2017 +0100

    qt: Remove macOS special case for icon
    
    While it is still true that on macOS, the icon from the app bundle is
    used, this is not true for our pseudo-bundle. And I do not think it's
    worth a special case anymore.

commit 417e99faa8daafab293ac2d6030bc76e9875f138
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 04:52:47 2017 +0100

    qt: Remove special playlist list color on macOS

commit cecac520fa364fb990539298486e05765d13c6e3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 04:46:35 2017 +0100

    qt: Remove macOS specific playlist splitter
    
    This makes the splitter look a little bit weird on macOS, but removes a
    lot of code.

commit ba8922fbd21ce64f7353556e1659f3da88a335eb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 04:37:49 2017 +0100

    qt: Remove macOS specific main interface styling
    
    We already have the macosx interface, if the user wants something thats
    native. No need to try hard here, additionally it looks much better
    without this.

commit 633113815666c011fd69a96e9a68445981af5a41
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 29 18:26:42 2017 +0100

    hw:d3d11: Always request decoder support from the device unless forced for display
    
    On Win7 D3D11 will not be used anymore unless forced manually as it doesn't
    support this flag.
    
    Fixes #19140 with automatic setup.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9e5fe7ad510f03dd52c7bd9e0f6804ae29d48d6
Author: Alexander Law <exclusion@gmail.com>
Date:   Wed Nov 29 16:53:34 2017 +0100

    i18n: add missing strings
    
    mp4, dcp/kdm, avcodec and decklink modules
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f9c5a343f1a8cad9c2c153f9c05e4e7201675a43
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Nov 29 10:45:04 2017 -0500

    upnp: don't clash with libupnp's own compat code
    
    Fixes build for upnp >= 1.6.23 and less than 1.8.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bf243a1f95daa3654cb71e971923faeca2190f1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 29 16:31:04 2017 +0100

    macosx: remove trailing spaces

commit 14a2051d5b4cbde0e3093b3d7258829246ed4130
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Nov 28 11:07:56 2017 +0100

    vout/macosx: fix Control not working with libvlc
    
    fix: #14780
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 94a9cb085beb732819deac9ad4025705ea3057a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 29 16:27:52 2017 +0100

    configure: put aom as auto now

commit 4d390cb3dc7d6c61052dacf1d646231ee9802aeb
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Wed Nov 29 03:01:52 2017 +0100

    i18n: corrections of missing spaces and new lines
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aac4bc7a6616b64b7c4577d2486f6cde60e6740d
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 29 12:01:55 2017 +0100

    qt: ConvertDialog translation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 816b58613ef43586acbc6b531d4180e92a53a40a
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 29 10:22:06 2017 +0100

    qt: provide translation for filters in logo file selector
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f60868c48a397526f94fdfc0c301db5e8583d7d
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 29 10:22:05 2017 +0100

    qt: remove empty filter in file selector
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c4bf9fe526e369e47a5ddf944ccad399f5b6fd6
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 29 10:22:04 2017 +0100

    qt: provide filters for Open Multiple Files
    
    fix: #19159
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 813bb12b6b591958fad38b23a6db9b2f964da4d9
Author: Steve Lhomme <robux4@gmail.com>
Date:   Wed Nov 29 09:13:12 2017 +0100

    codec:aom: fix compilation with recent libaom versions
    
    Not sure we should support older versions at this point so no #ifdef
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit acadd3b9cc3351d4a68693bc215b0db55e6a0e0c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 18:36:32 2017 +0100

    access: live555: no teardown on shared sessions
    
    Substreams of a same session must not issue a shutdown
    command, which always applies to the whole session.

commit 105b13c813a864b51f409617e415a2b2fe747342
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 20:14:49 2017 +0200

    bootstrap: warn if flex or bison are missing

commit 3167e69ab7a4783b0e564bc4e0f9aa5304be444d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 19:51:17 2017 +0200

    mp4: fix stream size handling

commit bd372c9ebf4eda841c8c6397d3875e2eb39c63cf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 19:30:46 2017 +0200

    gme: reject streams with unknown size
    
    They never worked in this context (they would be treated as 0 bytes).

commit 8ff4b51484d41f125e034b0fea69889dc77acf98
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 19:18:32 2017 +0200

    accesstweaks: compile as part of test suite
    
    This avoids having to enable it explicitly in configure, while also not
    installing it by default outside build trees. In the unlikely event
    that you actually want to install the plugin, you can still do so but
    manually (e.g. libtool install mode).

commit 0ef201d8cc4a136a141516032b5a123027c02568
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 19:03:05 2017 +0200

    accesstweaks: automatically probe
    
    accesstweaks no longer needs to be explicitly added to stream filters.
    It is now enabled implicitly with --no-seek, --no-fastseek and/or
     --no-stream-size.

commit bf51e088023ae35dfba1a9b781fed853739c4a8c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 28 18:54:06 2017 +0200

    objres: restore malloc() wrapper
    
    Regression from cf4676c1e8cdf69db4598f7d10ffdf6a695c3ba0.

commit e3a9edee12661f798c4d405a79e4e105cde74129
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 20:15:33 2017 +0200

    h264_nal: prevent infinite loops in PPS slice parsing
    
    If X_minus_one == UINT32_MAX, the for-loop condition is always true.
    This patch uses X directly: parsing will be wrong anyway, but at
    least it won't lead to an infinite busy loop.

commit 7c898da4262adf468cdd0f9edc71095a27e4bf8b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 19:15:17 2017 +0200

    es_out: assert single block on es_out_Send()
    
    The handling code ostensibly assumes that the block is single. So this
    adds an assertion to ensure it.
    
    Alternatively, should we force p_next to NULL ?

commit d5a0c83ca01578bcba04ab3f92489ee7e791457b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 19:00:30 2017 +0200

    accesstweaks: add option to conceal stream size

commit fb6f0b899a0212c7775ce82b01bbbe2ef7035467
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 19:48:27 2017 +0200

    avi: fix leak

commit e51ec531799fe0dca9f172356770cc784ac812a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 16:36:29 2017 +0100

    subsdec: fix alignment regression

commit d0734d5054a6dae87191dfce738621630f56a711
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 28 16:21:47 2017 +0100

    hw:d3d9:dxa9: swap UV only when the source is YV12

commit 4ef1d5a27b31b3576b8a0aa40d1dd3518592167f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 28 11:43:44 2017 +0100

    winvlc: disable buffering on stderr
    
    cf. discussion on the gdb project:
    http://sourceware.org/ml/gdb-patches/2013-08/msg00422.html
    
    stderr can be buffered on Windows when connected to a pipe.

commit 35c2d3cfe16670ba232a20eb212cfdb007f213cb
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 28 16:07:39 2017 +0100

    opengl: fix NV12 texture scale for SW fmts

commit 9d1e03ad506a7ef4ceacd16c0bc67ee2dc357186
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 28 16:05:54 2017 +0100

    opengl: vaapi: specify texture scale for NV12

commit 470738ba8b3512ae59f1d6524e0e52b7e706dee0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 28 16:05:40 2017 +0100

    opengl: cvpx: specify texture scale for NV12

commit ce8ea99131e2bb343bdae844b777acf499b1ea0f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 15:31:18 2017 +0100

    demux:mkv: keep the cue info even if the track is not known (yet)
    
    Fixes #19131
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb643da760c39b9542e5dfad3a28dae0b1f6aecc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 15:32:18 2017 +0100

    demux: libmp4: clear variable shadowing

commit 2db96938bf3ea7f2c9c7faf0b7175f76f14f947b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 15:26:57 2017 +0100

    demux: libmp4: fix regression in trun reading (fix #19170)

commit b4f155c52ddc498ce2803cce69e02e6ad95a48cf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 15:24:04 2017 +0100

    demux: libmp4: alias trun

commit 95cc776fec3f44c99abee34f9bd0e5d20cfab40b
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Nov 25 15:50:46 2017 +0100

    i18n: Nemory stream -> Memory stream
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 676e46d8931a106f9a179f5ca802473f42a39112
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:26 2017 +0100

    d3d11_fmt: detect bogus pitch
    
    Fixes #19162
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 870264fa05648d217a2ba876cc9946076bbc25c9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:25 2017 +0100

    direct3d11: assume the vout is forced for Winstore builds
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8049ee949103b1ee25bd67299feb5c0eabe3c845
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:24 2017 +0100

    direct3d11: use a fallback chroma when default doesn't work and vout is forced
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d1e7dc1f7c76ba18c7fad11eab4c47b3fdfa065a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:23 2017 +0100

    direct3d11: move the output chroma setup in a separate function
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 176e2c07d6b2d88cc133b1fe90a95486fa37e160
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:22 2017 +0100

    direct3d11: do the staging texture allocation early
    
    We might detect some issues before setting the format for good.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 63a6b5c36d0ec0073befd69de331f3541c7de638
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:21 2017 +0100

    direct3d11: split the format specific allocations and generic allocations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 99391951cf8951b1b5fec33362f7d218d218ea7d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:20 2017 +0100

    direct3d11: the device and swapchain only depend on the source chroma
    
    It doesn't matter the actual chroma it will use
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f3194c4db45dceef235dd83e313e54545ff4ec6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:19 2017 +0100

    direct3d11: only set successful state when at the end
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 23c328d0f870ccbf9645011cb574ce88829752a9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 28 11:19:18 2017 +0100

    direct3d11: remove write-only p_chroma_sampling
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5fb8b16e4505247e54f1bab40d581cc4e2e4485f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 12:04:14 2017 +0100

    codec: ttml: kill default spu margins (fix #19161)

commit 1a7cc199a03f3ee85f9dc7b7da11b0b59caf0659
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 28 11:04:22 2017 +0100

    Contribs:srt: make sure gnutls is built before

commit a8b9dc7f2ed16f7442a5ab2a155c0682fd0ebb78
Author: Zhao Zhili <wantlamy@gmail.com>
Date:   Sat Nov 25 01:35:06 2017 +0800

    demux: adaptive: fix misordered output
    
    For packets like this:
    A1, A2, B1, B2, A3...
    which B1 has invalid timestamp and B2 has timestamp < barrier, B2 will
    output but B1 is not, so misordered. A packet with invalid timestamp
    should not output only if a packet with the same ES id has showed before
    and timestamp larget than the barrier.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit aad18acf8c22070eb007cb91b57886380cb08474
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 10:45:50 2017 +0100

    demux: hls: workaround missing/invalid extinf duration
    
    as vimeo can't properly write extinf

commit 00c6ac9055cd582d86cae89024cd2d909f61d2a2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 28 10:28:58 2017 +0100

    demux: adaptive: use vlc_url_resolve (fix #19164)

commit 59a3ab810c6be33aea8f121bb6d18f16bcd201e4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 28 10:32:58 2017 +0100

    Contribs:srt: use a normalized tarball name

commit 5c3626cd995825c896f6a6b2e0bd0bf82f575059
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 28 10:25:52 2017 +0100

    Contribs:srt: use CMakeList directly

commit 5cee58c749233b862812e3e9170af05013c40990
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 28 10:23:40 2017 +0100

    Contribs: unrestrict CMake toolchain in native case
    
    We can use the native libraries when building a CMake project, like
    taglib or srt

commit fcf79a696caf655429a9e9cb92dc8a0414a1b02f
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 15 17:09:38 2017 +0100

    qt: remove video-on-top from simple-pref
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b87cf2adb7da0a5b3b27eb4e1cc1de454aac49a2
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 15 17:09:36 2017 +0100

    qt: provide UI always on top option in "view" menu
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a254cd2de2fe4e0ba9b5480744afcd9f9003ee18
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed Nov 15 17:09:35 2017 +0100

    qt: provide always on top for main UI
    
    it defaults to video-on-top settings
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9dce7032797ed9ab54e46f944bb7f800bd69cee8
Author: Justin Kim <justin.kim@collabora.com>
Date:   Tue Nov 21 19:39:37 2017 +0900

    contrib: Add srt 1.2.2
    
    Secure Reliable Transport library supports nettle backend
    since 1.2.1, and the current released version is 1.2.2 which
    has a fix of wrong version string.
    With the option, `--with-gnutls`, in SRT, VLC can be sure
    that non-GPL compatible library won't be linked.
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d83af09052999dd521cf54a717979a0b423d344c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 13:50:10 2017 +0100

    access:dshow: fix crash when opening dshow:// fails
    
    The MTA is never acquired but it's released on CommonClose(). So we acquire it
    early.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e77202ea2d4e05b8e3b08ea8cb7a762cd239eae0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 17:31:36 2017 +0100

    demux:mkv: fix double free introduced
    
    Introduced by e527210321013fd477673c36c472e3ca9a2a9fff.
    There is a local parser, we don't need to free it. Instead it freed an upper one.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 109ff7be075bd511902c18fdcd0db9ca8317cecd
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 17:31:55 2017 +0100

    demux:mkv: keep reading data in the parent even if current element has no size
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 44979951e682e3c146422fa3bcd02f63684eb0d4
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 17:31:54 2017 +0100

    demux:mkv: do not even try to read bogus data if the size is 0
    
    The parser will go up one level by itself
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72d3b200b2dfca26ed0161fd6ac5b3a8217141e2
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 13:38:13 2017 +0100

    vout:win32:common: no need to crop the source for D3D11
    
    We always give the right aligned texture size.
    
    Fixes #18928
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 170a6509dc5270a391c6031a67114c8c45e5ba12
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 13:38:12 2017 +0100

    direct3d11: set the texture size after we know we use a staging one
    
    Use the visible size for the staging texture. Fixes #19078
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 96463352354232849dc73137dbf4aae3f621cb93
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 15:13:14 2017 +0100

    vout: revamp sliders

commit 3fbd68656b48722b296dd72f011894efa6722a5f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 17:36:05 2017 +0100

    vout: epg: use memset

commit b796710dd7f3ab079b9b27fb2fea58da7c165306
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 19:21:04 2017 +0200

    pva: fix leak
    
    Block chain MUST be gathered before sending out.

commit 71cbdc473a93a94b03b076fdb1a8a8aa57174a24
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 19:10:25 2017 +0200

    pva: remove redundant test

commit 13088dda5dd16beb08c52553d37ab88142d4f572
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 27 18:15:09 2017 +0200

    dshow: missing translation (fixes #19160)

commit c5085da7ae4fcc52872b3f6cedb558c293401b63
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 27 15:15:23 2017 +0100

    chroma: chain: setup proxy callbacks on filter object
    
    p_filter is already the parent of p_sys->p_video_filter. We don't need to touch
    the grand parent.

commit 7f99bb740790d1d45878f06b9894a1c8ad6695a4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 27 16:26:56 2017 +0100

    filter: fix name leak

commit e6762ac5e67ccf18a63786001a5b3a848ff2b8aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 13:59:12 2017 +0100

    vout: DrawTriangle: refactor

commit d8476023cd8e402c59356733d0e0670ea19c95f2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 12:53:38 2017 +0100

    vout: DrawRect: refactor and memset

commit b48a35bfafac382b97af42a9e3b40a65c4c67517
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 10:16:23 2017 +0100

    vout: DrawRect/Triangle: pass color as param

commit 2aaca35c09878ba1095b14367fa0a4ae06eac660
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 27 14:30:04 2017 +0100

    chroma: chain: fix "force one level of iteration for filters"
    
    This commit fixes a regression from 6e5e08677d9e279602397fcbc767e6d2a15b4ce5
    that caused filter loading to never stop until a stack overflow.

commit a1bcc4857292dcc13c726b0f1c784ef3437d61a4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 27 14:09:05 2017 +0100

    spu: logo: fix logo not displayed if pos x/y are -1

commit d127141f6dd59e7cbd482070783a30bc1d3b634c
Author: Justin Kim <justin.kim@collabora.com>
Date:   Sun Nov 26 00:27:40 2017 +0900

    access_output: srt: suppress warnings by unused variable and parameter
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 634fd3872e4cc6b9dd3927d06db41d92ec632e91
Author: Justin Kim <justin.kim@collabora.com>
Date:   Sun Nov 26 00:27:39 2017 +0900

    access: srt: remove unused variable
    
    Signed-off-by: Justin Kim <justin.kim@collabora.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fc87adcd2ec86a1c15cd59ddb82527b082e2106f
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Nov 25 19:00:53 2017 +0900

    kva: improve resizing of the embedded video window
    
    Sometimes the embedded video window is not resized properly. This
    occurs due to mismatch of the cached video window size and the real
    video window size. To avoid this, compare the parent window size with
    the video window size directly.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f0ef8179711ee982ccf2269b858360948688b4e8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 08:42:11 2017 +0100

    hw:d3d9:dxva2_deinterlace: fix null pointer dereference
    
    CID #1462252
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1de66ec36a753db7575cd5954de92a3cac9b726
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 27 08:42:27 2017 +0100

    hw:d3d9:dxa9: remove dead code
    
    CID #1462253
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1ed9f2c9b705a0a22fcf329a81e8669305c784a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 27 09:25:10 2017 +0100

    codec: Videotoolbox: fail reordering on incomplete set

commit ab6efdcccc982b803fa74d2926e37b38d3d3ed94
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 19:43:04 2017 +0100

    vout: epg: remove double defined macros

commit 82e03ed7f9de2580ea91b9ed66053ee472130e63
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 26 17:47:03 2017 +0100

    videotoolbox: Fix compilation with older SDK
    
    Currently, this cannot compile with an older SDK due to linker
    errors. Therefore, only enable the code path using the function
    if the SDK version is high enough.
    For this feature to work, code needs to be compiled with the SDK
    which supports this function.

commit 469001b71f99007d8097a7dd487a646558fd91f4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 26 17:44:06 2017 +0100

    minimal macosx: Decrease priority for vout window provider
    
    If someone both compiles minimal_macosx and macosx, the macosx
    window provider has now higher priority. If correctly set up,
    both module should not be installed into the same installation
    any way.

commit 50e1f0711f918ae9cb1771f785b6cd32b92b1577
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 04:18:09 2017 +0100

    qt: Remove macOS specific searchlineedit file
    
    This is not used anymore.
    
    Ref. #7279

commit 21b92d680c3128cbe6d12e89ef979f02254df187
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 04:15:56 2017 +0100

    qt: Fix searchlineedit linking on macOS
    
    The macOS specific file is not used anymore, so it's necessary to enable
    this code again on macOS too, else linking will fail as there is no
    implementation.
    
    Fix #7279

commit fa78fe1663ad50f7281055df6f008cd3f8ab8742
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 02:14:37 2017 +0100

    gui/minimal_macosx: Cleanup includes

commit eb26c513e53c270316fbc6f60cb2774e881825d1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 02:13:37 2017 +0100

    gui/minimal_macosx: Clarify comments and update copyright

commit 3d7477bb9674b51a678294411c4a53e239c01444
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 02:08:05 2017 +0100

    gui/minimal_macosx: Codestyle adjustments

commit 093bbee6917d6b396e96a43cadf4411fa9a3e1a2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 02:04:45 2017 +0100

    gui/minimal_macosx: Fix WindowControl handling
    
    This is still very buggy but does not crash anymore.

commit bdd834f01f2547577795894547c9cc0c9670dbb5
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 26 02:02:59 2017 +0100

    gui/minimal_macosx: Fix compilation

commit 80ac12378f3593a33a36c706c40935c57a6e0e8e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Nov 25 15:14:58 2017 +0100

    VT: Improve SDK version checks
    
    - Not only the macOS SDK should be checked, since VT is supported on
      iOS, macOS and tvOS.
    - Add missing SDK check for VTIsHardwareDecodeSupported.
    - Fix SDK check for the kVTVideoDecoderSpecification_* constants.

commit 5a838d0ea7dd4cd02aaaa5ed7800e835f717311e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 24 18:13:06 2017 +0100

    contrib: breakpad: Update to use VideoLAN fork

commit 6e595cc820c47f3b374fd6174f8e0a71b9421cbe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 25 13:06:25 2017 +0100

    VT: fix compilation with older SDKs
    
    The HEVC define arrived in SDK 10.11

commit c7abb8525c73bdd099a3dd07a481dfa1108e396a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 25 11:04:56 2017 +0100

    TTML: don't use printf for debugging in normal VLC

commit 36fbebe3bbc18c8955922138ef005e748b573a36
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 21:50:40 2017 +0200

    mp4: use malloc() in SDTP box

commit 7c25c3d9c062d569abb3db61463c456c27cc78b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 21:45:41 2017 +0200

    mp4: use vlc_alloc() for TREF box

commit 0a366cf22a5aad23f1d1132ea4aa4cf97836494f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 21:45:41 2017 +0200

    mp4: use vlc_alloc() for ELST box

commit 83a6100b42bc0cc55ddcf6667e6e3ad5ae4761cf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 21:37:35 2017 +0200

    mp4: fix ELST signed overflow

commit f6175b3f4263d4a4bc11179bac6add7eeeb032a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STSH size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 01c4480fa89c1df95eb181c40e95e566974fc5a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STSS size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 90e610081180134d244d2f9220070916685d3fad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check CTTS size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 398e5ff0411180d87a167cca665162fe8b767500
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check TRUN size before reading and allocation
    
    This fixes out-of-bound reads.
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit c5b142bfde48b89537404ca6c3851a4ad1eaec1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 21:08:51 2017 +0200

    mp4: keep remaining buffer size unsigned
    
    This prevents integer underflow, defeating the boundary checks.

commit 5e7f9ceb1f0cfc65a942c53f5957cf0ffb8613ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STCO size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 4bf81a0e7170b504a090cc8303d3737401b416f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STSC size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit eab4f05a98fff46bf2f3b46bec8161b2a22e1266
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STSZ size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 866b7cee553b868e7379a6282c300c3f6f37c137
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 20:01:01 2017 +0200

    mp4: check STTS size before allocation
    
    This avoids allocating stupid amounts of memory.
    
    Note: there is still an infinite loop if count == 0xffffffff
    (with a suitably enormous input).

commit 94f3a3408e2067cc58dee62c434713b22435aa53
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 19:03:18 2017 +0200

    mp4: fix PADB parsing
    
     - Fix interger overflow if sample count is 0xffffffff.
     - Merge table pairs.
     - Rationalize table sizes.
     - Check data size before allocation.
    
    Not sure why we even extract those though - nothing reads the data.

commit 794b54c8fb52ec0d2cdbadae92b0226f8fafd799
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 24 19:01:53 2017 +0200

    mp4: fix potential pointer overflow
    
    p_peek could go out-of-range, UB.

commit 33371e518d851b82d075faaf9dce76ca2096138e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 22:41:15 2017 +0200

    mp4: vector box entry

commit 05f435640069ea4923e1bb49faf9a93e7bb6dc02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 23:27:43 2017 +0200

    mp4: preserve header size

commit 106d8a5d75249cbc5123292d53558bc3f9cd59e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 22:41:15 2017 +0200

    mp4: vector and fix string extraction

commit 109f089e86fe46e3464d0e213b2c81cf765e05af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 22:34:48 2017 +0200

    mp4: privatize most reading macros

commit fbb9d1fcbae45844a6f6331cc6322aa200bf26a7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 22:10:33 2017 +0200

    mp4: avoid assignment as predicate

commit 12efcaae59cd6b4b141a43edd45c028e9a1160eb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 22:09:17 2017 +0200

    include: guard overflow builtins
    
    Pointed-out-by: KO Myung-Hun <komh78@gmail.com>

commit 964e1c13f2856511d54752779a85fd1f7c5a5c0e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 20:23:30 2017 +0200

    mp4: handle memory error and cleanup

commit b7a62ba5c95d3c342d90e830028e3e75c7c8b0da
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 18:25:13 2017 +0100

    es_out: Remove duplicated code
    
    The "Type" info is set again a few lines below

commit 5f52d4bd59048559b274a3f22b945c9824e9006b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 18:18:19 2017 +0100

    codec: ttml: handle missing default text alignment
    
    refs #19147 #19146

commit 38227a2d61f311f588a7a6489fcdee38388a2c39
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 16:23:01 2017 +0100

    demux: pes: change pts bitfield check
    
    allows incorrect 0010 (pts only) timestamp header
    for 11 signaling (pts+dts)

commit f34c7c0ab4dbca2abad9d4e287196ea2dca69695
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 17:39:23 2017 +0100

    mkv:chapter_command: use better values for registers
    
    The whole doesn't seem to match the VMI page though.
    
    CID #1253081
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fc5873764b65844550e79a1b9c0debf074e0033e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 17:38:18 2017 +0100

    Add include/vlc_timestamp_helper.h to Makefile

commit 08921902648f981a4dff2bf10324924d32bd00f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 17:02:32 2017 +0100

    po: remove files that don't need processing

commit 85933d7d2f86d0cbd488bedfa206b6b7a0ac3845
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 16:30:39 2017 +0100

    ci_filters: don't force BT709 colorspace
    
    But match the colorspace of the cvpx buffer.

commit 1993944b901b9feba5e668704230876c9d8dd8b2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 16:36:20 2017 +0100

    D3D11_deinterlace: remove debug message

commit c3900ff6688f086555debceb52c8089a76750ed1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 16:28:24 2017 +0100

    usf: Fix variable shadowing

commit 4daf86699221d19e13fb4f2078dfee8137e50a6d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 16:06:34 2017 +0100

    subsusf: Remove dead code
    
    CID #1346935

commit 8166c271632c644a07a87ae148d37efb3bddf1b6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 15:08:24 2017 +0100

    hds: Fix memory leak on errro
    
    CID #1224537

commit 75de9dccf5815574e5a6b55777ac2b9d4512ea94
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 15:04:18 2017 +0100

    dbus: Add missing error check
    
    CID #1211816

commit d192a702d6c9ddaf0ba7b55cbd6006e6189dc7a1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 15:03:33 2017 +0100

    contrib: live555: Fix undefined behaviors

commit ed24524923556b12a28645af4875de99626315c4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 24 10:30:07 2017 +0100

    contrib: d3d9: Support prefix out of the contrib directory

commit e4e905da5d07d6937133135194c46306cfa0d44a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 10:23:37 2017 +0100

    direct3d11: do not use the padding size to compute the quad position
    
    Fixes #19141
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 299af0938ee39e2b2a97177f22ebf0032a3ece57
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:48 2017 +0100

    hw:d3d11:d3d11_filters: fix leak
    
    CID #1462210
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dd6b71958d0ec80575f68f701ff5c95a61cce019
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:47 2017 +0100

    hw:d3d11:d3d11_deinterlace: check values are ok
    
    Also release unsused memory.
    
    CID #1462212, #1462211
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5c3ae227b5bd85555cd5e4af2f6e71071ac4b52
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:46 2017 +0100

    hw:d3d9:dxva2_deinterlace: use D3D9_Create/Destroy
    
    CID #1462217
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9d14a01699c85d67c5aa8b351c673c1f82156aaa
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:45 2017 +0100

    hw:d3d11:d3d11_surface: release the local d3d_dev on error
    
    CID #1462215
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d947f063d8d3f7cc3cc8a3f512759e028705d48d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:44 2017 +0100

    hw:d3d11:d3d11_instance: always set the d3dcontext even on failure
    
    CID #1462218
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 101daa0ae6462e3fdf9c82a55c9b66852e56da2c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Nov 24 16:24:43 2017 +0100

    hw:d3d9:dxa9: use D3D9_Create/Destroy to load/unload the D3D9 DLL
    
    Also fix fmt_staging release from uninitialized memory.
    
    CID #1462219, #1462216, #1462214, #1462213
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bee2a18aa920b7a7e19b19a3f78124ff07e6e091
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 14:28:59 2017 +0100

    videotoolbox: fix frame leaks when closing decoder
    
    Set b_vt_flush to true to prevent the asynchronous callback to enqueue more
    frames.
    
    This fixes a regression from f75db2e7ef22b2bb9bc6e2ade65793163ebea4e5.

commit e685db60c625da8d44afda31bbe8cc2de043087f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 15:57:19 2017 +0100

    Update PO with new files

commit a95651c1b4530bbacf09bdc277ca152440ca7821
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 16:11:17 2017 +0100

    Keystore: capitalize correctly

commit bb8cf576c160dadc6276278819b3307d558b1daa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 16:08:33 2017 +0100

    Resampler: don't translate complex technical strings

commit 94db44030d4f3df7fe590064f5ef9bb06ec6e470
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 16:08:16 2017 +0100

    mp4: don't translate iTunes and Youtube meta names

commit d57639dabaa1fb74734ffc629d30c846846f5719
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 15:54:17 2017 +0100

    Update MODULES_LIST

commit f2937981fdddcb5a1ee97c2523edaf8b6b7ba6a4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 15:51:45 2017 +0100

    Update POTFILES.in

commit 71a533991f0413b04e48f331fb9a00c2b6ab6737
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 15:14:30 2017 +0100

    Update PO files

commit ab9d021d2e46252abe798cbe892146d631f447fd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 15:10:24 2017 +0100

    Strings simplification for translations

commit dde7a83b2defc859048b88a105eb2884828c7de2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 14:16:32 2017 +0100

    demux: adaptive: continue non dated packets for the same ES (fix #19145)
    
    Otherwise creates misordered output.

commit 5d1143695cd91c2c328ed78f07ed876d1b62c0f6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 13:56:36 2017 +0100

    codec: videotoolbox: fix leak

commit 1056615da783d3e57a15ae795196499e48a9d965
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:25:08 2017 +0100

    i18n: add Uighur translation

commit 57e0a941374c1afd065621284063bd7c4b0d89a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:24:22 2017 +0100

    i18n: add Maithili translation

commit b0685c656f11551c5ccfc3c43f677f5ed8464355
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:23:44 2017 +0100

    i18n: add Kashimiri (India) translation

commit 96cb25a2437180729d3da7ce6bafd9f1c5dadd66
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:22:41 2017 +0100

    i18n: Add West Frisian translation

commit 1203f5aa26e28e9ce64e99611b8a8ccfea4f9cdb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:22:12 2017 +0100

    i18n: add Bodo translation

commit c341be9cca29c456eec87164e25012bcc918074e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:21:30 2017 +0100

    i18n: Add Assamese translation

commit a1931e147461c5ce7e6b5eb0156b4b84d6c7b0a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 24 14:14:38 2017 +0100

    Update translations from 2.2.x branch
    
    This holds copyright from numerous people and from the VideoLAN entity

commit e4fffa8b85d6cdb0a28621a76a1ae95b5144e4bd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 13:31:55 2017 +0100

    codec: videotoolbox: setup YUV->RGB matrix

commit 918aea708b6a39106ae096cc8c8b907e0f7ac75e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:18:09 2017 +0100

    codec: videotoolbox: don't force NV12 for 10bits

commit f75db2e7ef22b2bb9bc6e2ade65793163ebea4e5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:35:07 2017 +0100

    codec: videotoolbox: drain when flushing
    
    Clear the DPB queue, wait for for asynchronous frames, re-init the PTS instead
    of restarting the VT session.

commit db7820b638e2626612f5685f78805eb2437f8a16
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:17:47 2017 +0100

    codec: videotoolbox: force a vout flush with 4K10bits on iOS

commit fcbc143659fce8da32e06032312aa5d942a84066
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:16:26 2017 +0100

    codec: videotoolbox: pace output frames allocation
    
    VT is not pacing frame allocation. If we are not fast enough to render
    (release) the output pictures, the VT session can end up allocating way too
    many frames. This can be problematic for 4K 10bits. To fix this issue, we
    ensure that we don't have too many output frames allocated by waiting for the
    vout to release them.
    
    A proper way to fix this issue is to allow decoder modules to specify the dpb
    and having the vout re-allocating output frames when this number changes.

commit 884476a90e4a1237d57d29503510667a82f610b6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:18:24 2017 +0100

    codec: vt_utils: add cvpxpic_attach_with_cb
    
    In order to be notified when the cvpx buffer is released.

commit 95c347087f2889445ecea305e476beb0384cb33c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:05:25 2017 +0100

    codec: videotoolbox: fix indent

commit 9e88ebd2e06f0a20eccf2c71456a7c3476ebb672
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 14:43:20 2017 +0100

    codec: videotoolbox: rename DrainDPB to DrainDPBLocked

commit 150c37c240c0a3f6c4d110d1ac51127a27beab58
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 2 17:20:39 2017 +0200

    codec: videotoolbox: add HEVC support
    
    Fixes #18855
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 64ee55927b51b023a70fd8b708ba62bfb600fdef
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 12:45:47 2017 +0100

    codec: videotoolbox: improve deviceSupport tests

commit e96c4427790ca7ae8847f30bea32345fc6d5b72a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 3 17:18:27 2017 +0200

    codec: videotoolbox: refactor for other codecs support
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 02a958de663ec1069323a7398a879d8bf7c59c97
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 3 15:01:17 2017 +0200

    codec: videotoolbox: don't set directly extradata in decoder conf
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 23c823b896ac9f4a589d4aa8ad720a01f7c9bdf7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 24 09:05:00 2017 +0100

    opengl: cvpx: change CVOpenGLESTextureRef release order
    
    Release textures earlier before the texture cache flush.

commit c97ba5ded1538307572e6ada843e9598e1568f71
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 20 16:49:09 2017 +0100

    hxxx_helper: add hevc_helper_get_hvcc_config
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bd105c968e201cb390d72ed450a970e165f399cc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 20 16:09:46 2017 +0100

    mux: libmp4mux: clear warning
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 81e8c7d0c03055309882e6c5ae2746d66d3ded4d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 20 15:45:27 2017 +0100

    mux: libmp4mux: use hevc_decconfig
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit aa324fea9962707e0f52b7cec5fc75ffb1df6e57
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 20 15:01:34 2017 +0100

    packetizer/mux: refactor hevc decoder config creation
    
    beause we'll need it for VT
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fa2763a46474d67d4af5405f445529a35e7a4d11
Author: François Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 12:51:34 2017 +0100

    hxxx_helper: remove hevc annexb config chain storage
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ac3da07e2a7f7b8e8fca90e51faae6b51955052a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 16:33:47 2017 +0100

    codec: mediacodec: use hevc_helper_get_annexb_config

commit ddb5cc2fc825638bfd5766efc7ad51a401a4f444
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 16:15:16 2017 +0100

    hxxx_helper: add hevc_helper_get_annexb_config
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e4a180cd4823e4cd737b9cbd277940f28bde9644
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 16:08:12 2017 +0100

    hxxx_helper: refactor h264_helper_get_annexb_config
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 01fedfc91a6f3140c26517ebc8ef51c3b4eadd77
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 16:03:12 2017 +0100

    hxxx_helper: load HevcDEcoderConfiguration
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 41df966452ad9101208b067f9593dc45ccb9a244
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 24 10:29:01 2017 +0100

    codec: ttml: fix default alignment values
    
    refs #19147 #19146

commit af7b35383052ca6b9d5bd5a0e3a8a5320b4a7b78
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 16:55:17 2017 +0100

    zvbi: Don't pass video_format_t by copy
    
    CID #1160816

commit b2b4c42ccbe54759ea325f914fecc4cd42985869
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 16:37:45 2017 +0100

    svcdsub: Don't store unused values; skip over them

commit 9ec6f1ee59bccadbfdd7450431ea6788a5966068
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 16:35:11 2017 +0100

    svcdsub: Use existing helper
    
    Should fix CID #1048969

commit 801b2a6b329d1517a8bf7f3488e2955603de16a1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 16:35:00 2017 +0100

    svcdsub: remove trailing whitespace

commit 2e65002479e64839c16e65101ebd6e4a50341690
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Wed Aug 16 16:46:39 2017 +0100

    httpd: Remove obsolete enum
    
    Un-named enum contains HTTPD_CLIENT_FILE and HTTPD_CLIENT_STREAM,
    which became obsolete in 56ee33a212e60fecf7b0e075b67618e3e4744df2,
    replaced with the b_stream_mode boolean.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e64d40264f126ac02f3cd645af2deb348616578
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Wed May 24 21:18:44 2017 +0100

    includes/aout: fix incorrect mention of 24-bit support
    
    Left over from 8d73a4d79b1fe7423d07d106281a96393f60115c
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34ad26ff6cef1b0c6745a784f9051fb03375d301
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Sat Mar 18 17:34:25 2017 +0000

    aout/common: fix type for S16N interleaving
    
    This mistake happens to have no impact at all on computations, but deserved correction.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 19fa2ebc91bdedfcb4302f9a893c837d17bf6825
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Sun Apr 9 18:06:06 2017 +0100

    aout/common: add missing case for 2F2M2R (Dolby 6.0) in aout_FormatPrintChannels
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4fcb76f200c3171ed54789901ca86da142d2ff74
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Fri May 12 20:50:16 2017 +0100

    MODULES_LIST: add missing entries
    
    * libdirectory_demux_plugin
    * libsimple_channel_mixer_plugin_arm_neon
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8835da90323de306796e150aeacd2e4b300c3dce
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Wed Apr 26 15:07:29 2017 +0100

    MODULES_LIST: fix count
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd6598579be9e5e0cf4c6d38ff31fdffb2cf5e79
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Thu Nov 23 17:40:13 2017 +0100

    Qt: fix a wrong logic for the check of the fullscreen screen number
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32ab4fc98d97b6b0cb1728be79ebbd74d19b3e79
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 23 15:25:39 2017 +0100

    mkv: only allow one video track at a time
    
    This is how Matroska is supposed to work
    
    Fixes #19129
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fe367b762364e7935f7cc541370234e712e6a129
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Nov 23 15:24:11 2017 +0100

    dxva2: fix crash if dxva2.dll is not present (winXP)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 525fbd67d34cb9137345ea84da8daa432f0d367c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 24 02:19:44 2017 +0100

    macosx: FIXME for ModuleListConfigControl's resetValues

commit c2786ac015bccef4155bef211c7ce30d29af06ce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 23 22:25:10 2017 +0100

    sout: transcode: fix leak

commit 214cc7818f6b01120bf865cbe7c7641b3bf73be4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Nov 23 19:57:55 2017 +0100

    macosx: Simplify translation macros
    
    The previous method had lots of dead code, so simplify by using
    a one-line macro.

commit 3264c9ed2e05ae841e8faaff7b217136cf31a99f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 19:07:08 2017 +0200

    sap: fix off-by-one

commit d72395dd8aaf50a722cf7bbe58e4d61e9943edf2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 23 19:05:17 2017 +0200

    sap: simplify

commit 3b97a38005b94958efeb6a0d0023a6f35e77f16e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 23 17:28:05 2017 +0100

    es_out: don't tag preroll on blocks containing NEXT_DISPLAY_TIME
    
    avoids dropping those, especially SPU on seek
    refs #18862

commit 511eb7f9ce5b735ae6651e7614f0c9813df37623
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 23 13:45:04 2017 +0100

    codec: atsc a65: fix truncated conversions

commit 82da9eeee2c2e8a26c4400716d1a299f9ec77a03
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Nov 23 17:17:00 2017 +0900

    vlc_common: include limits.h for UINT_MAX, ULONG_MAX and ULLONG_MAX
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 81382ead7b52106a7492a8a101050c6aa546dbc3
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Nov 23 13:26:07 2017 +0100

    freetype: fix No subtitles on Win 7 with 64bit
    
      fix: #19093
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 82d352ee32e403ae845a867e6145eb08e2b35dae
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 13:03:12 2017 +0100

    x264: Remove unused static variable
    
    This is unused since 2010 (87e5e733e51d5d7baff67da7b019cb613b81d228)

commit 8a9ffc70f337a6d1adc3fe0589501f1cb0be8015
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 23 11:04:47 2017 +0100

    Revert "satip: Add missing allocation check"
    
    This reverts commit e95b11e2c0c730599d66241047de0760e0bea40f.
    This breaks the logic a few lines below

commit fc063b5195e11e03ac773874432757cbeef2693b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 10:36:26 2017 +0100

    Update NEWS from 2.2.x branch

commit 2a4afc3bb77eab39f154fc02b03cb721780b7171
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 10:17:27 2017 +0100

    Update PO files

commit 0925621b548c0e2dd3f43233f781718d97228a8f
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Nov 23 09:33:26 2017 +0100

    skin2: fix opening playlist
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 39d49cef673e647938921d106089cd57bbdf4b01
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Nov 23 10:03:50 2017 +0100

    skin2: fix string can't be parsed by gettext
    
    fix: #19117
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dbb5e3c3a6c0db25fa61e2e0efd4a7b4502d30c9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 23 09:52:59 2017 +0100

    demux: avi: remove enum/fix build
    
    move as defines,  we can't change member type
    
    This reverts commit 5640f9814c4ed2edb9b33086f3465837e1fc4adc.

commit b0ab659f403db975d6a5bcbc923239b6ae7decb0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:39 2017 +0100

    dxva2_deinterlace: create the texture for pictures coming from a bogus pool
    
    Fixes #18936
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ac5493a09e0c64d9ba7bdb4861f4678cf5312b9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:38 2017 +0100

    d3d11_deinterlace: create the texture for pictures coming from a bogus pool
    
    Fixes #18936
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2de1dbfc357470977016c144de17621484380864
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:37 2017 +0100

    hw:d3d9: make use of D3D9_FilterHoldInstance()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 564c535dfd1c698bbf6da10324b3152f00e2f496
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:36 2017 +0100

    hw:d3d11: make use of D3D11_FilterHoldInstance()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fc35b698bb0df1f6f3c5d423b4e9261a0d511da8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:35 2017 +0100

    hw:d3d11: use d3d11_device_t instead of ID3D11Device
    
    Keep the device for the lifetime of the filter
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 00022da0e2544b72ba92597e49054ec0eb7575fe
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:34 2017 +0100

    hw:d3d9: use d3d9_device_t instead of IDirect3DDevice9
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd37cf5dda25c402849b87959b99924e553ee2bf
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:33 2017 +0100

    hw:d3d9: add a file to control the D3D9 device common to all filters
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8d73a6794f27a50098e3f7b90a3283045fa556cd
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:32 2017 +0100

    hw:d3d11: add a file to control the D3D11 device common to all filters
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ea902a998665c568d08c2568c8d55bab82282f8d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:31 2017 +0100

    hw:d3d9: move all the filters into a single module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34a545f1f3d756390f24cf4465cf0c8829c727cf
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:30 2017 +0100

    hw:d3d11: move all the filters into a single module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a5d181248b18f4fe93161bfae778a2be677a652c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:29 2017 +0100

    hw:d3d9: rename the Open/Close for each module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9caa9b46a70839c82b54e58b6cee557dd3d6df8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:28 2017 +0100

    hw:d3d11: rename the Open/Close for each module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 004264bc47633678722b632abcb511ecfee1d87b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:27 2017 +0100

    d3d11_filters: fix adjust output when all values are default
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 020975b40c8949cfccbfb0e742fecfc8889255ef
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:26 2017 +0100

    dxva2_deinterlace: clean code
    
    Simplify the init, we don't know the order yet
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12b76b3f9d5155a31e3184b5590dd839ca7cd820
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:25 2017 +0100

    dxa9: clean code
    
    Use local variables when possible
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2c55fee53e227d577db3ad4e7a0ac0209874978
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:24 2017 +0100

    hw:d3d11: clean code
    
    Use local variables when possible
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e5c11fa1520d5f4a7374c9eb1d236a576e573c3
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:23 2017 +0100

    hw:d3d9: move the filters code in hw/d3d9
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9602b711f4c951f135dff54cb4191eb39ef1617e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:22 2017 +0100

    hw:d3d11: move the filters code in hw/d3d11
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ec0b3bc1a83d80de6aa04092cd89b96768850174
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:21 2017 +0100

    hw:d3d9: move the filter modules declaration in modules/hw/d3d9
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad428695a643fa0fff96b4fd663d8943948df6b7
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 18:18:20 2017 +0100

    hw:d3d11: move the filter modules declaration in modules/hw/d3d11
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 40fa6b7a60de56968c209ac370257db592bd06aa
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 11:03:37 2017 +0100

    d3d11: use is_d3d11_opaque() is more places
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 346cbef21bf0f3111728da4100ded5c0a9388903
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 11:03:36 2017 +0100

    d3d11_surface: use D3D11_Create/D3D11_Destroy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 20aa304bbfd8c8cb4f981509e33544f38391c46b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 11:03:35 2017 +0100

    d3d11_fmt: reduce the size of processor support logs
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 43b2b125db42a650121a121b252e5641456e2ad4
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 22 11:03:34 2017 +0100

    d3d11: move the processor input/output support logging in libd3d11_common
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit be9ea17a8cb29c23cbbf8bc3b3ab2f57ee5503ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 12 14:54:35 2017 +0100

    text_renderer: freetype: add support for regions larger than text
    
    fixes sized regions positioning

commit 5640f9814c4ed2edb9b33086f3465837e1fc4adc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 20:48:46 2017 +0100

    demux: avi: use enum for compressions

commit b50e8f4388696aa1698fd7c3846b5d7962e5ca02
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 19:42:36 2017 +0100

    demux: avi: fix null deref

commit 6298967bf63cccbdc290a78c53dc97df69bd3d71
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 20:16:35 2017 +0100

    demux: avi: check stride width

commit 9b390db4f96aba85575ff4caab470628a2109390
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 18:40:45 2017 +0100

    demux: ts: fix potential null deref (cid #1412981)

commit 521ad3353d1708a69a2d5cbfc718d51fec0eca58
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 22 18:41:55 2017 +0100

    win32: fix PATH for build script

commit 59e8bcb143b689c49377f2d287b5bc6650fa33ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 15:02:22 2017 +0100

    access: dvb: fix null deref/wrong member (cid 1362061, 1362062)

commit 75788c0b975d5b12d843c3ebccec1c08119b5c51
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 14:57:17 2017 +0100

    access: dvb: fix null deref/wrong var (cid #1362060)

commit bde2f74f988d5325f6eb40d93c54ddfbf6435d20
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 14:53:07 2017 +0100

    access: dvb: fix null deref (cid #1362059)

commit aa70bdf272a58147208707f712ad75e817039432
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 14:49:37 2017 +0100

    demux: ts: remove useless check (cid #1349948)

commit c6cc3c609996e7210d5d63a17acbe4cadf77e56a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 17:59:07 2017 +0100

    es_out_timeshift: Remove duplicated check
    
    p_storage_r != NULL is already implied by the earlier call to TsStorageIsEmpty
    CID #1048960

commit 43badef3905f076cda655c5ae281b1720b6c8dfa
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 17:41:20 2017 +0100

    kate: Remove useless if
    
    p_block is checked for nullity in all code path leading to ProcessPacket

commit cb96ac02ce0efad7624e67b22a7d15d4ff8032ac
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 17:26:48 2017 +0100

    dbus_player: Fix leaks on error
    
    CID #1048913

commit e95b11e2c0c730599d66241047de0760e0bea40f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 16:20:24 2017 +0100

    satip: Add missing allocation check

commit ef6a67527b816b81d3a0d18f31a83daaae3e1553
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 16:19:37 2017 +0100

    satip: Fix potential use of uninitializer pointer
    
    CID #1372952

commit 476ff61846bab006f78c8e2bc774623981f05f25
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 16:15:01 2017 +0100

    satip: Remove dead code
    
    CID #1372922

commit 44fdc78bc52fd784175fb5f1bb9e865382439abc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 16:45:33 2017 +0100

    codec: vt_utils don't use picture_t p_sys
    
    Use picture context instead. p_sys is generally reserved by the vout.

commit 3d81768c9e365b012e9e8faae4d92c52461e55dd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 16:12:32 2017 +0100

    opengl: try to load GL functions from GLES2
    
    These functions can be available via an extension.

commit 1d828f2916141c690cb3b0410d52230662834d0c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 16:11:04 2017 +0100

    opengl: fill opengl_tex_converter_t on success

commit 162fbc7401a7372f32e543211d41a4954dac375d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 16:00:41 2017 +0100

    theora: Display the frame rate as a fraction.
    
    Fix a potential FPE CID #1048728

commit 09abd918efcbe2f017636d742af04347cd993ae9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:45:00 2017 +0100

    linsys_sdi: Simplify and fix potential FPE
    
    CID #1048725

commit 557d7491cde27e9e682cc29f5e98879d3f9de5a3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:30:21 2017 +0100

    linsys_hdsdi: Simplify & fix potential FPE
    
    CID #1048724

commit 842869d498dd540d95d236e2521be1d3a23eb2fa
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:14:09 2017 +0100

    skins2: Remove dead code
    
    And assuming it should have checked for getData directly, no
    GenericBitmap::getData implementation can return a null pointer.

commit 7a86528cc305631562a307b6b249fe072848c322
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:06:24 2017 +0100

    avi: ReadFrame: Take header size as unsigned

commit b425b20d0d3ebb970be399cb9b3ab8d779ec1c30
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:01:40 2017 +0100

    avi: Remove unneeded forward declaration

commit 5b73bae846ccd071de0a1cf3edcf60bedbdfabfe
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 15:00:42 2017 +0100

    avi: Mark fall through as intended
    
    CID #1048797

commit afc2a325f035544db7c84fc374c573fdc1316356
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 22 14:59:25 2017 +0100

    avi: Explicitely initialize i_track/track as a vlc tab
    
    This might help coverity understand CID #1062545 better

commit 66ad43d12f8829287a551d5ece9bc384e822aeda
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 17 15:40:49 2017 +0100

    configure.ac: Don't link with -ladvapi32 when building for winstore
    
    The functions we're trying to link with are already present in
    libwinstorecompat

commit a51c896c71689ca98a2264784f9e63b19e36e0b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 13:15:31 2017 +0100

    codec: atsc a65: convert latin-1 to utf8

commit 4523786e48364d4d9b5bb3b69e596058160b8ae9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 13:14:02 2017 +0100

    codec: atsc a65: don't expect null terminated strings

commit eb46af662809b554ba8beb16ea5401535b2cdbd4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 12:01:36 2017 +0100

    demux: avi: really fix chunk type check

commit 713e1e6e587278f18ca6163b49a439b98ddaf0e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 11:26:55 2017 +0100

    demux: libavi: remove useless member

commit d5bab708ae9a99561d5965383e0a7c31f09abfbb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 11:22:36 2017 +0100

    demux: libavi: fix null deref regression (cid #1422265)

commit 4a0a805858f0c931231265095f13d482b96c32a7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 11:19:00 2017 +0100

    mux: mp4: don't create edts if no valid data/timestamp has been sent
    
    otherwise creates offset from TS_INVALID

commit c2f2689917d26daa65fd9c883429b4b9e8da778c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 10:16:51 2017 +0100

    mux: mp4: fix hevc test

commit e1da2b0f54fcfc3abdbacfefa3687ed4175f7dbc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 22 10:45:41 2017 +0100

    mux: mp4: use hxxx iterator

commit 68ebdf180b49a56bca8364ea5aeb8e5bd69f6090
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 09:13:51 2017 +0100

    opengl: cvpx: fill opengl_tex_converter_t on success
    
    This fixes a black screen when shader generation fails. Only saw it happening
    on IOS 8.1 simulator.

commit 7edf23a71a995efffcb5ce9415d258c2c6a82af3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 22 08:46:32 2017 +0100

    videotoolbox: fix "videotoolbox-hw-decoder-only" option type

commit 75391aa0670790d5dc87af0d407765f50bff8eab
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 21 21:59:35 2017 +0100

    youtube.lua: update video format selection to website changes
    
    The format of the Youtube API parameters used to list the available
    video resolutions changed slightly. This fixes usage of the
    --preferred-resolution option.

commit 2be0155e2895ad45d6f8bae3e1e8ef712182a57c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 15:57:26 2017 +0100

    demux: libavi: force chunk type check
    
    avi breakable since 2002 by mutating single chunks as LIST

commit ed0edfbadda0471a5ded1f4390854f0be5f92f8f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 14:06:47 2017 +0100

    demux: libavi: discard broken chunks

commit 28e5cd0e0573acd9a7e05e2bc1119b8813728f42
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 13:54:51 2017 +0100

    demux: libavi: use parent for boundary check on chunk read

commit 991db3b94305ecadccc32003ebee4752ced48ed1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 16:39:43 2017 +0100

    packetizer: hevc: hevc_get_xps_id should work on nal data only

commit a692bf04c940430ce38058f4d73cacf35c4ffce1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 11:19:54 2017 +0100

    demux: libavi: use helpers for correct chunk size checks

commit eaf1c02331f65c272c8f8044cd6901faa2f6c403
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 11:18:19 2017 +0100

    demux: libavi: fix root size before reads
    
    otherwise checks will fail

commit ba142f0e91c640afe42c96b82cb3dfc877c998e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 21 10:54:09 2017 +0100

    demux: libavi: remove useless init

commit f57318b3d33a4314c041aa9fef9da519bcabe0a5
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Nov 20 10:28:59 2017 +0100

    demux/mpeg: Mark p_demux as VLC_UNUSED
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65c5f31b423ab54a7006980ad50ac3994f9e12e3
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 21 15:04:27 2017 +0100

    contrib:gme: always build a static library on Windows
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 06df19ba15a8073651e2ad4c610b684f123f2447
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 21 15:03:53 2017 +0100

    direct3d11: link with d3d11 on Winstore builds
    
    It's not implied by libd3d11_common
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0ab53a3652fb341a084cd9e103c449f0f9eaa158
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 21 15:03:37 2017 +0100

    direct3d11: fix compilation for Winstore
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f85977ff31b6b8f72939e87b5b88bffa0d8a3a18
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 21 15:03:11 2017 +0100

    d3d11va: fix Winstore compilation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff4b90c15a9ea6c4f33362b152c289fc528f3609
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Tue Nov 21 14:02:37 2017 +0100

    Qt: fix the qt-fullscreen-screennumber option
    
    numScreens() is deprecated.
    To set the window fullscreen on the defined monitor, a call to setScreen()
    is needed.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d78a9a20d3bafcdd9bc77d0d13fbf6f1f6d1add9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 15:21:19 2017 +0100

    chroma: copy: fix typo
    
    Harmless since the typo was done everywhere

commit bf57d10f575f358f1f0fc47bc9a526ad80990d00
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 15:19:59 2017 +0100

    chroma: copy: disable SSSE3 with chroma_copy_test

commit df314a7dfc7a9f2204aefb11559dff6efe6025a6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 15:18:46 2017 +0100

    chroma: copy: 16bits functions need SSSE3

commit 9d91bec64d73900cd496a6763dc647871569354c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 14:46:39 2017 +0100

    ci_filters: use -Wpartial-availability in source

commit 6223224368e6b5bb978ba3d9d6a08f064719e2ee
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 14:39:47 2017 +0100

    chroma: copy: fix assert when testing

commit e1aff4673be3087a453ac56497143cfc9df1fc15
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 14:38:41 2017 +0100

    chroma: copy: remove old debug code

commit 645537b8ae9b42a829021a53dd165282a0434547
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 14:06:18 2017 +0100

    ci_filters: build with -Wpartial-availability
    
    Symbols availability are checked at entry point.

commit 96d59814184976a30b558b0e9d10bcbdbe3cc940
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 13:36:22 2017 +0100

    extras: m4: fix snprintf for macOS 10.13
    
    Same patches than the bison ones since the same lib is used on both project.

commit 10ea136a9297aa6b1b01b66fb078770910d93f55
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 11:51:33 2017 +0100

    extras: m4: update to 1.4.18

commit a663cd63c0aaddb28d1cf29138f10141d2364556
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 21 13:11:46 2017 +0100

    cf_filters: remove -miphoneos-version-min=9.0 OBJCFLAGS
    
    This will hopefully fix crashes on iOS 8*.
    
    irc-log:
    <ePirat> ... it will not make the symbols weak (because they already exist on
    the lowest version you specified) and things will just crash/error at runtime.

commit 32b60c98389e22adf94dde4f12b08e3a56aba72a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 20 19:46:16 2017 +0100

    macOS: codesign: Add additional operations for Breakpad codesign
    
    Also covers breakpad helper application. Additionally, sign a helper
    utility for sparkles autoupdate app.

commit 1bef550d805bdc2770c41ae9cdf297eef3dcd9ae
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Sun Nov 19 22:53:33 2017 +0200

    direct3d11: fix orientation
    
    refs #11778, #18368
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c8d4e05cf956e3a99ba66a944961f6cbfde75f6a
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Fri Nov 17 22:46:46 2017 +0200

    direct3d9: fix orientation
    
    refs #11778, #18368
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0cd9200eed5f876504b5f32e849955884ebbae70
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 20 08:35:50 2017 +0100

    d3d11_fmt: move the DXGI debug handling in D3D11_CreateDevice
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0bcdc1c4d5fb1797ebd882493519e9bcec855733
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:28 2017 +0100

    directx_va: move the DXVA2 loading outside of directx_va
    
    For D3D11 the same DLL used to create the device is used to create the decoder.
    For DXVA2 we need an extra DLL but we don't need to make this code generic.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit da8ec5c315536c90b8abeb08786306e2acdbc24b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:27 2017 +0100

    directx_va: remove unused d3ddev
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8245920db976689f81f2212c1db7c08e4867d73c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:26 2017 +0100

    directx_va: do not load the DLL if it's already loaded
    
    For D3D11 we always load it.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e3f5fb031cffdeef3b8e0239b9117ac449e6dd73
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:25 2017 +0100

    d3d11_fmt: keep track if we own the device or not
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d54b3f1440ada4d3317e3c0797b30ae08279fcbb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:23 2017 +0100

    d3d11: use D3D11_Create and D3D11_Destroy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a6f415d17faf8036af2e6ed488fbdb47583bd5f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:22 2017 +0100

    d3d11_fmt: add D3D11_Create and D3D11_Destroy
    
    Similar to the D3D9 API
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46be40b89f2876f5c3757284125798dcea579904
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:21 2017 +0100

    d3d11va: make use of d3d11_device_t rather than internal variables
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0df361e19aa47ec96490926c12d9211a288fa94
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:20 2017 +0100

    direct3d11: use D3D11_ReleaseDevice()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 070f516f4ef8dc093b3aa49e3905f64d7a937356
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:19 2017 +0100

    d3d11_fmt: add D3D11_ReleaseDevice()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 44a778a905351eb110ca3b8e4e2fa539b72c3e7b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:18 2017 +0100

    d3d11_fmt: simplify the call to D3D11_CreateDevice()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7d0abd461446efd1c048c31ac1ebe77e2fdca37f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:17 2017 +0100

    d3d11_fmt: introduce d3d11_handle_t to keep a handle on the DLL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bc346168cc285ecb0995a2ad9e76aeddfdc96c15
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:16 2017 +0100

    direct3d11: rename hd3d11 to d3d_dev
    
    Similar to the same variable in D3D99
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7d4b0581b666a5b0ae1db125cfdca2215aecb76b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:29:15 2017 +0100

    d3d11: rename d3d11_handle_t to d3d11_device_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd392748533668976cbc9e1f8d87bb1f44c33c95
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:47 2017 +0100

    d3d9_fmt: make IDirect3D9_GetAdapterDisplayMode simpler
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 78b063319066640774d60b8dfdd0ee43fbb16c27
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:46 2017 +0100

    d3d9_fmt: always tie the adapter ID to the d3d9_device_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5664e1649e37f6ce7e7075a235763b7b65b47c99
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:45 2017 +0100

    direct3d9: remove the d3dctx structure
    
    Just use d3d9_handle_t and d3d9_device_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 98e9c553e61d588ef03bc781cc66caf0da64a4d5
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:44 2017 +0100

    direct3d9: remove the intermediate d3dctx from the openGL module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cf9b13f19952e98d00ae699ce19c9cedbc6c6e5e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:43 2017 +0100

    direct3d9: remove the secondary HWND storage
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 28cf4fbd1389a2494cbe343156550947b35846f5
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:42 2017 +0100

    direct3d9: move the hxdll in vout_display_sys_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4f4a4049d55e6efbfdcbf7185b6ef60d789d626b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:41 2017 +0100

    dxva2: make use of the DLL loading/Device creation from libd3d9_common
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12c630d074f2b903c4f6adf98903dfeb3ea0918f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:40 2017 +0100

    d3d9_fmt: create a simpler D3D9Device for empty output
    
    Suitable just for decoding.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c7369881619914442a0f7f17cf0d9452ac0d5bc9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:39 2017 +0100

    direct3d9: move D3D9_Create/D3D9_Destroy in libd3d9_cmmon
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0e6e1492dc0373e8cc30961c3baa3572058190c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:38 2017 +0100

    direct3d9: make the D3D9_Create/D3D9_Release more generic
    
    Move the DLL in d3d9_handle_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e00a8615536069350780831d0c9d2b0ab9193a7
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:37 2017 +0100

    d3d9_fmt: add D3D9_ReleaseDevice() to match D3D9_CreateDevice()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit efa18c5997c9ccc30d85cc94487574cf67416241
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:36 2017 +0100

    direct3d9: query the capabilities just before creating the device
    
    And use the proper adapter.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2ef2b693e71f1c0b0cd0425e28234dfaca2daceb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:35 2017 +0100

    d3d9: move the device creation in libd3d9_common
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b9194848ff4fc09503150b51e1671683b8a9320c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Sat Nov 18 14:26:34 2017 +0100

    d3d9_fmt: group some D3D9 objects together
    
    And make the D3D9 device creation more generic
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0547c4a97b60636335eeab84e8d6aa45432b96ff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 20 18:54:31 2017 +0100

    packetizer: a52: fix assertion on E-AC3 substreams

commit 0c218a0f4559a1b46c9e705477fb6b332dc7966e
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Mon Nov 20 18:54:50 2017 +0200

    Remove unnecessary spaces from messages
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 570962da1d77ab1bcf5dfa713476e50be107605d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 20 18:38:57 2017 +0200

    win32: fix vlc_threadvar_set() return (fixes #19124)
    
    This was not noticed since none of the call sites check for error.

commit 69409cf5917c8934d1903d979c4998ac074c7f74
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 19 11:40:55 2017 +0200

    configure: allow CSS even without Bison or Flex
    
    Building CSS support from tarball works fine even without those tools.

commit f2ba10497e9437b36a910cb980c6907b04844ebb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 19 11:38:18 2017 +0200

    Make Flex and Bison tests inconditional
    
    By GNU/automake design, those tools have to be present when building
    from VCS, even if the generated code is not actually compiled. This
    fixes #19086.
    
    Also this potentially allows more than one module to use them.

commit a6b095982367a2d4cfb72686048633bf743593ff
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Nov 18 15:30:58 2017 -0500

    video_filter: sharpen: fix artifact in middle of 8bpp videos
    
    Fixes #19098, regression from commit 7dd8a23dc2b6a3ee15533e07c8c32771b4d230a2

commit 72e7179e9e6387bc0631c6e1f53d62a5ade78dec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 21:33:50 2017 +0200

    chain: do not use MODULE_STRING

commit b8a7536f85cf945aec465b1f49504d679ff02ab1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 21:33:40 2017 +0200

    ntservice: do not use MODULE_STRING

commit 464ab9724e91436a6616ee66d8c667e0a3eb6f82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 21:32:26 2017 +0200

    svcdsub: fix obsolete setting name
    
    This should be the then plugin name, not the current one (not that I
    expect it to change ever).

commit e46fd2bfa69a2684736fbbfbe1dbf3fbce4d7356
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 21:18:24 2017 +0200

    messages: resolve module name at link-time
    
    Within all the introduced static libraries, the module cannot be known
    at compilation time. This moves the module name from a compilation
    constant to a link time constant string symbol. That way, the same
    compiled object within a static library can use a different and correct
    module name depending on which plugin it is linked into.
    
    The symbol is hidden so it does not leak between shared objects. For
    non-plugins shared libraries (vlccore, vlc, vlc_pulse and
    vlc_xcb_events) the module name must be defined manually, unless the
    library does not use msg_* macros at all (vlc_vdpau).

commit d2cf1ff065c490a3f61847b156a65b2add42941c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 21:11:11 2017 +0200

    http: force "http" as module name
    
    (not "connmgr.c")

commit f82bc9e5f61b55a151bac4c25093ae89e0f807af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 18 14:26:31 2017 +0200

    Update libvlc SO version

commit 91d83a530f96d67ffa95a0f364550834ee8013e9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 17 16:17:31 2017 +0100

    subsdec: Fix infinite loop in case of invalid closing tag

commit b351e72fc9b729b1782290bd3c865c5e9e93a4af
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 17 11:23:32 2017 +0100

    contribs: mpg123: Fix cross compilation for winstore

commit a141bcc837a59d34cd50d05cba50aca6d9390725
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 14:29:18 2017 +0100

    demux: ts: don't skip looking up  dts on seek if af

commit 883a582306d606f033d437cdeb93ddef273a04cf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 14:33:00 2017 +0100

    demux: ts: only seek on pcr for current program

commit fca9a302adb45595e91725b5fa04c501d90b604e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 14:24:33 2017 +0100

    demux: ts: fix oob read

commit c618453309ed65611619272178621f5eb62a2822
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 17 13:51:57 2017 +0100

    demux: ts: fix peek use after free

commit e0fe3ddb3e9acaa4ee30cc684b0df774257c093a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 10:26:56 2017 +0100

    opengl: pass video_format_t with a pointer
    
    CID #1462006

commit c128cc7e056885305921010490c99548ad70e8f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 14 18:45:25 2017 +0100

    chroma: chain: add VLC_CODEC_I420_10B fallback

commit 6e5e08677d9e279602397fcbc767e6d2a15b4ce5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 09:56:14 2017 +0100

    chroma: chain: force one level of iteration for filters

commit 2fd76d91ba654a04bc88e4d4e9466054c5a3de13
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 14 18:44:56 2017 +0100

    fourcc: vaapi: add VLC_CODEC_I420_10B fallback

commit 2021d58821974d71848ba53d22dace7057b19a85
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 14 18:44:34 2017 +0100

    vaapi: add a warning when doing sw conversion

commit e24d08a054dfb0efac91441620facdde96af17c9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 14 18:44:11 2017 +0100

    vaapi: handle VLC_CODEC_VAAPI_420_10BPP <=> VLC_CODEC_I420_10B

commit 7f99be78bd132d1b15066a1b34f0f3b77552fddf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sun Nov 12 15:03:52 2017 +0100

    vaapi: refactor chroma check

commit aabcba93021d558d33afb59c772b93fffb96df01
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 17:49:35 2017 +0100

    chroma: copy: add tests
    
    Test most common YUV420 conversions with SSE and without SSE. These conversions
    are used via VAAPI, direct3d* and via videotoolbox.
    
    There is no warranty that the source should be aligned when using copy.h, so
    all tests are performed with a non aligned picture source. The destination is
    always a picture allocated by VLC (so aligned).
    
    The test verify that there are no memory corruption (via asan or just crashing)
    and verify that colors are preserved. It will now assert if someone introduce a
    green line.

commit b1ffa4467eded1af7da751f8738c412525f6c476
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 18:56:09 2017 +0100

    chroma: copy: add SP<=>P 16bits support
    
    Implemented without optimisation and with sse3.

commit 5429463faaacb4cf2f46fc3c7969177e0fc315d2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 09:03:35 2017 +0100

    chroma: copy: increase max cache size
    
    For 4K 16bits frames.

commit f4299fbb0d459fc6bba1780b549b44107e5b63c4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 12:09:49 2017 +0100

    chroma: copy: add asserts

commit c6f989c9d3eac9ddb5cf008f71dbc9c77e25b580
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 16:18:34 2017 +0100

    chroma: copy: fix heap-buffer-overflow from SSE_SplitUV
    
    Avoid splitting too far. This generally don't cause any crashes since src and
    dst are aligned.

commit ad3ceb947cf2929b9fb2e1dc9e8de74fabd6717a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 17 10:06:12 2017 +0100

    contrib: mpg123: Fix winstore detection

commit 9229f4c03bea6f4dd7b8e3c069060feb4b30b9bb
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 16 17:32:57 2017 +0100

    win32: dirs: Fix winstore build

commit 780d9bdb3848cb974f697f7bd5ed031f3481511c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 17 08:39:53 2017 +0100

    opengl: dump shaders with msg_Dbg

commit 96d506563f90b2c1401a80dd1dfc5b75c61c3633
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 16 23:22:50 2017 +0100

    demux: avi: set proper BGR masks (fix #19088)
    
    seems video output has changed to RGB24 being RGB
    while vlc has started with BGR from avi

commit 2f271f6ac443ae6379248a46699a8c8d67b14e7e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 16 23:10:01 2017 +0100

    demux: ps: change bad scr offset to 2s
    
    that's max for audio

commit fc9722824abda23ee90c538e11d104418391b2f9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 21:34:21 2017 +0100

    opengl: "-vvvv" to dump shaders

commit f56b5e2f80ca93398952e2f80a5ac224797c5d7a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 21:33:43 2017 +0100

    opengl: make vertex shader human readable

commit 1f6f53398888d2c24c8606f05592c2d85b03eb64
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 16 21:09:38 2017 +0100

    contribs: apply newlocale patch

commit db8e285e8308f894ab79566d3a8152a55e780da8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 16 19:36:38 2017 +0100

    contrib: Ignore bz2 prebuilt contribs

commit d444322f1fd8b1ed24cf8610b28cf5a31756885e
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Sat Nov 11 19:55:19 2017 +0800

    demux: adaptive: fix setPosition
    
    If there is no valid streams, setPosition should not return
    true/success. This can happen when DEMUX_SET_TIME failed which lead to
    all streams disabled, and then try DEMUX_SET_POSITION.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit fedae7f2f3eacde8adcfd4dfe1c8fedcbf507a82
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 16 13:31:17 2017 +0100

    demux: adaptive: missing initializer

commit eb609de195376b9d27adbb6c304360ec5a697bf6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:53 2017 +0100

    d3d11_adjust: fix filtering on Intel
    
    It doesn't like outputing to a render target with 2 slices. Render targets are
    allowed to have 2 slices but not more. So we should only use 1 from now on.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 248b2c96f103caa8b7b67c0864e961043adf3cfd
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:52 2017 +0100

    direct3d11: move is_d3d11_opaque() and AllocateTextures() in d3d11_fmt
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 335ed07ac46635d38e2c68e4562310fa6b2f495f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:51 2017 +0100

    direct3d11: make AllocateTextures more generic
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bd4a9b216d389ea2dd39624529143d0f8f671a8c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:50 2017 +0100

    d3d11_fmt: group the ID3D11Device and ID3D11DeviceContext in a structure
    
    Since they usually go together
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a6dffc357892780cd9f9940ae8a92915fd6390b5
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:49 2017 +0100

    direct3d11: remove superseeded macro
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bfe261050ddc5cba02d03284a0d7f032769902d8
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:48 2017 +0100

    direct3d11: move the common code in C file rather than inline and use a static lib
    
    Also move some code from dxgi_fmt to d3d11_fmt
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12e8de85772f1c21c7c3e121e8255d6f18357486
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 16 11:38:47 2017 +0100

    modules: rename internal static libs to libsomething and force static linking
    
